Index: /trunk/admin/plugins_installed.php
===================================================================
--- /trunk/admin/plugins_installed.php	(revision 12028)
+++ /trunk/admin/plugins_installed.php	(revision 12029)
@@ -31,7 +31,26 @@
 $template->set_filenames(array('plugins' => 'plugins_installed.tpl'));
 
-// display mode
-$plugin_display = isset($_GET['plugin_display']) ? $_GET['plugin_display'] : (pwg_get_session_var('plugin_display') != null ? pwg_get_session_var('plugin_display') : 'compact');
-pwg_set_session_var('plugin_display', $plugin_display);
+// should we display details on plugins?
+if (isset($_GET['show_details']))
+{
+  if (1 == $_GET['show_details'])
+  {
+    $show_details = true;
+  }
+  else
+  {
+    $show_details = false;
+  }
+
+  pwg_set_session_var('plugins_show_details', $show_details);
+}
+elseif (null != pwg_get_session_var('plugins_show_details'))
+{
+  $show_details = pwg_get_session_var('plugins_show_details');
+}
+else
+{
+  $show_details = false;
+}
 
 $base_url = get_root_url().'admin.php?page='.$page['page'];
@@ -177,10 +196,13 @@
 usort($tpl_plugins, 'cmp');
 
-$template->assign(array(
-  'plugin_display' => $plugin_display,
-  'plugins' => $tpl_plugins,
-  'active_plugins' => $active_plugins,
-  'PWG_TOKEN' => $pwg_token,
-));
+$template->assign(
+  array(
+    'plugins' => $tpl_plugins,
+    'active_plugins' => $active_plugins,
+    'PWG_TOKEN' => $pwg_token,
+    'base_url' => $base_url,
+    'show_details' => $show_details,
+    )
+  );
 
 $template->assign_var_from_handle('ADMIN_CONTENT', 'plugins');
Index: /trunk/admin/themes/default/template/plugins_installed.tpl
===================================================================
--- /trunk/admin/themes/default/template/plugins_installed.tpl	(revision 12028)
+++ /trunk/admin/themes/default/template/plugins_installed.tpl	(revision 12029)
@@ -50,5 +50,5 @@
         for (i=0;i<data.length;i++) {
           {/literal}
-          {if $plugin_display == 'complete'}
+          {if $show_details}
             jQuery('#'+data[i]+' .pluginBoxNameCell').prepend('<a class="warning" title="'+incompatible_msg+'"></a>')
           {else}
@@ -88,15 +88,13 @@
 
 <div class="titrePage">
-  <span class="sort">
-    <form action="" method="get" name="change_display">
-      <input type="hidden" name="page" value="plugins"/>
-      {'Display'|@translate} : 
-      <select name="plugin_display" onchange="this.form.submit();">
-        <option value="compact" {if $plugin_diplay=='compact'}selected="selected"{/if}>{'Compact'|@translate}</option>
-        <option value="complete" {if $plugin_display=='complete'}selected="selected"{/if}>{'Complete'|@translate}</option>
-      </select>
-    </form>
-  </span>
   <h2>{'Plugins'|@translate}</h2>
+</div>
+
+<div class="showDetails">
+  {if $show_details}
+  <a href="{$base_url}&amp;show_details=0">{'hide details'|@translate}</a>
+  {else}
+  <a href="{$base_url}&amp;show_details=1">{'show details'|@translate}</a>
+  {/if}
 </div>
 
@@ -135,5 +133,5 @@
   {/if}
    
-  {if $plugin_display == 'complete'}
+  {if $show_details}
     <div id="{$plugin.ID}" class="pluginBox {$plugin.STATE}">
       <table>
@@ -176,5 +174,5 @@
     </div> {*<!-- pluginBox -->*}
     
-  {elseif $plugin_display == 'compact'}
+  {else}
     {if not empty($plugin.VISIT_URL)}
       {assign var='version' value="<a class='externalLink' href='"|cat:$plugin.VISIT_URL|cat:"'>"|cat:$plugin.VERSION|cat:"</a>"}
Index: /trunk/admin/themes/default/theme.css
===================================================================
--- /trunk/admin/themes/default/theme.css	(revision 12028)
+++ /trunk/admin/themes/default/theme.css	(revision 12029)
@@ -927,4 +927,5 @@
 .warning:before {content:url(icon/warning.png);vertical-align:top;}
 .deactivate_all {text-align:right;font-size:0.95em;}
+.showDetails {text-align:right; margin-bottom:-15px; margin-top:-10px; padding-right:1em;}
 
 .languageBoxes {min-height:0;text-align:left;}
@@ -1077,2 +1078,3 @@
 #progressbar {border:1px solid #ccc; background-color:#eee;}
 .ui-progressbar-value { background-image: url(images/pbar-ani.gif); height:10px;margin:-1px;border:1px solid #E78F08;}
+
Index: /trunk/language/cs_CZ/admin.lang.php
===================================================================
--- /trunk/language/cs_CZ/admin.lang.php	(revision 12028)
+++ /trunk/language/cs_CZ/admin.lang.php	(revision 12029)
@@ -790,6 +790,4 @@
 $lang['Type in a search term'] = 'Zadejte hledaný výraz';
 $lang['Activate icon "new" next to albums and pictures'] = 'Aktivovat ikonu "nové" vedle alb a obrázků';
-$lang['Compact'] = 'Kompaktní';
-$lang['Complete'] = 'Kompletní';
 $lang['Deactivate all'] = 'Deaktivovat vše';
 $lang['Default photos order'] = 'Výchozí pořadí fotografií';
Index: /trunk/language/de_DE/admin.lang.php
===================================================================
--- /trunk/language/de_DE/admin.lang.php	(revision 12028)
+++ /trunk/language/de_DE/admin.lang.php	(revision 12029)
@@ -797,6 +797,4 @@
 $lang['Type in a search term'] = 'Geben Sie bitte einen Suchbegriff ein';
 $lang['Activate icon "new" next to albums and pictures'] = ' Aktivieren Sie das Icon "Neu" neben Alben und Fotos ';
-$lang['Compact'] = 'Kompakt';
-$lang['Complete'] = 'Komplett';
 $lang['Deactivate all'] = 'Deaktiviere alle';
 $lang['Default photos order'] = 'Voreingestellte Fotoanordnung';
Index: /trunk/language/en_UK/admin.lang.php
===================================================================
--- /trunk/language/en_UK/admin.lang.php	(revision 12028)
+++ /trunk/language/en_UK/admin.lang.php	(revision 12029)
@@ -187,6 +187,4 @@
 $lang['Comments for all'] = "Comments for all";
 $lang['Comments'] = "Comments";
-$lang['Compact'] = "Compact";
-$lang['Complete'] = "Complete";
 $lang['Complementary mail content'] = "Complementary mail content";
 $lang['Complementary mail content'] = "Complementary mail content";
@@ -850,3 +848,5 @@
 $lang['Manage Permissions'] = 'Manage Permissions';
 $lang['Photo %s of %s'] = 'Photo %s of %s';
+$lang['show details'] = 'show details';
+$lang['hide details'] = 'hide details';
 ?>
Index: /trunk/language/es_ES/admin.lang.php
===================================================================
--- /trunk/language/es_ES/admin.lang.php	(revision 12028)
+++ /trunk/language/es_ES/admin.lang.php	(revision 12029)
@@ -795,6 +795,4 @@
 $lang['Activate icon "new" next to albums and pictures'] = 'Activar el icono "nuevo" al lado de álbumes y fotos';
 $lang['Add a criteria'] = 'Añadir un criterio';
-$lang['Compact'] = 'Compacto';
-$lang['Complete'] = 'Completo';
 $lang['Deactivate all'] = 'desactivar todo';
 $lang['Default photos order'] = 'Orden de las fotos por defecto';
Index: /trunk/language/fr_CA/admin.lang.php
===================================================================
--- /trunk/language/fr_CA/admin.lang.php	(revision 12028)
+++ /trunk/language/fr_CA/admin.lang.php	(revision 12029)
@@ -792,6 +792,4 @@
 $lang['ERROR: THIS PLUGIN IS MISSING BUT IT IS INSTALLED! UNINSTALL IT NOW.'] = 'ERREUR: CE GREFFON EST MANQUANT MAIS TOUJOURS INSTALLÉ! DÉSINSTALLEZ-LE.';
 $lang['display'] = 'Afficher';
-$lang['Compact'] = "Compact";
-$lang['Complete'] = "Complet";
 $lang['Restore'] = "Restaurer";
 $lang['Restore default configuration. You will lose your plugin settings!'] = "Restaurer la configuration par défaut? Vous perdrez vos réglages personnels !";
Index: /trunk/language/fr_FR/admin.lang.php
===================================================================
--- /trunk/language/fr_FR/admin.lang.php	(revision 12028)
+++ /trunk/language/fr_FR/admin.lang.php	(revision 12029)
@@ -791,6 +791,4 @@
 $lang['ERROR: THIS PLUGIN IS MISSING BUT IT IS INSTALLED! UNINSTALL IT NOW.'] = 'ERREUR: CE PLUGIN EST MANQUANT MAIS TOUJOURS INSTALLÉ! DÉSINSTALLEZ-LE.';
 $lang['display'] = 'Afficher';
-$lang['Compact'] = "Compact";
-$lang['Complete'] = "Complet";
 $lang['Restore'] = "Restaurer";
 $lang['Restore default configuration. You will lose your plugin settings!'] = "Restaurer la configuration par défaut? Vous perdrez vos réglages personnels !";
@@ -859,3 +857,5 @@
 $lang['Manage Permissions'] = 'Gérer les permissions';
 $lang['Photo %s of %s'] = 'Photo %s sur %s';
+$lang['show details'] = 'montrer les détails';
+$lang['hide details'] = 'cacher les détails';
 ?>
Index: /trunk/language/he_IL/admin.lang.php
===================================================================
--- /trunk/language/he_IL/admin.lang.php	(revision 12028)
+++ /trunk/language/he_IL/admin.lang.php	(revision 12029)
@@ -800,6 +800,4 @@
 $lang['Graphics Library'] = 'ספריית גרפיקה';
 $lang['Activate icon "new" next to albums and pictures'] = 'הפעל כפתו "חדש" ליד אלבומים';
-$lang['Compact'] = 'קומפקטי';
-$lang['Complete'] = 'סיים';
 $lang['Deactivate all'] = 'בטל פעולה להכל';
 $lang['Default photos order'] = 'סדר ברירת מחדל לתמונות';
Index: /trunk/language/hu_HU/admin.lang.php
===================================================================
--- /trunk/language/hu_HU/admin.lang.php	(revision 12028)
+++ /trunk/language/hu_HU/admin.lang.php	(revision 12029)
@@ -791,6 +791,4 @@
 $lang['Type in a search term'] = 'Írd be a keresett kifejezést';
 // missing translations
-$lang['Compact'] = 'Kompakt';
-$lang['Complete'] = 'Részletes';
 $lang['Deactivate all'] = 'Összes kikapcsolása';
 $lang['Restore'] = 'Visszaállítás';
Index: /trunk/language/it_IT/admin.lang.php
===================================================================
--- /trunk/language/it_IT/admin.lang.php	(revision 12028)
+++ /trunk/language/it_IT/admin.lang.php	(revision 12029)
@@ -791,6 +791,4 @@
 $lang['ERROR: THIS PLUGIN IS MISSING BUT IT IS INSTALLED! UNINSTALL IT NOW.'] = 'ERRORE: QUESTO PLUGIN È MANCANTE MA TUTTORA INSTALLATO! CANCELLATELO.';
 $lang['display'] = 'Visualizzare';
-$lang['Compact'] = 'Compatto';
-$lang['Complete'] = 'Completo';
 $lang['Restore'] = 'Restaurare';
 $lang['Restore default configuration. You will lose your plugin settings!'] = 'Reimpostare la configurazione di defaut? Perderete tutte le vostre impostazioni!';
Index: /trunk/language/ja_JP/admin.lang.php
===================================================================
--- /trunk/language/ja_JP/admin.lang.php	(revision 12028)
+++ /trunk/language/ja_JP/admin.lang.php	(revision 12029)
@@ -720,6 +720,4 @@
 $lang['Batch Manager'] = 'バッチ・マネージャー';
 $lang['Choose an action'] = 'アックションを選択して下さい';
-$lang['Compact'] = 'コンパクト';
-$lang['Complete'] = '完了';
 $lang['Activate icon "new" next to albums and pictures'] = 'アルバムと写真のとなりに、\'起動アイコン　"新" があります';
 $lang['Deactivate all'] = '全て非活性する';
Index: /trunk/language/lv_LV/admin.lang.php
===================================================================
--- /trunk/language/lv_LV/admin.lang.php	(revision 12028)
+++ /trunk/language/lv_LV/admin.lang.php	(revision 12029)
@@ -787,6 +787,4 @@
 $lang['Searching...'] = 'Meklē...';
 $lang['Type in a search term'] = 'Ierakstiet meklējamo vārdu';
-$lang['Compact'] = 'Kompaktēt';
-$lang['Complete'] = 'Pabeigt';
 $lang['Deactivate all'] = 'Deaktivēt visu';
 $lang['Default photos order'] = 'Foto kārtojums pēc noklusējuma';
Index: /trunk/language/nl_NL/admin.lang.php
===================================================================
--- /trunk/language/nl_NL/admin.lang.php	(revision 12028)
+++ /trunk/language/nl_NL/admin.lang.php	(revision 12029)
@@ -797,6 +797,4 @@
 $lang['Type in a search term'] = 'Type een zoekterm in';
 $lang['Activate icon "new" next to albums and pictures'] = 'Activeer "nieuw" pictogram naast albums en afbeeldingen';
-$lang['Compact'] = 'Compact';
-$lang['Complete'] = 'Compleet';
 $lang['Deactivate all'] = 'Deactiveer alles';
 $lang['Default photos order'] = 'Standaard foto volgorde';
Index: /trunk/language/pl_PL/admin.lang.php
===================================================================
--- /trunk/language/pl_PL/admin.lang.php	(revision 12028)
+++ /trunk/language/pl_PL/admin.lang.php	(revision 12029)
@@ -787,6 +787,4 @@
 $lang['Type in a search term'] = 'Wpisz frazę do wyszukania';
 $lang['Activate icon "new" next to albums and pictures'] = 'Aktywuj ikonę "nowe" obok albumów i zdjęć';
-$lang['Compact'] = 'Minimalne';
-$lang['Complete'] = 'Pełne';
 $lang['Deactivate all'] = 'Deaktywuj wszystko';
 $lang['Default photos order'] = 'Domślne sortowanie zdjęć';
Index: /trunk/language/ru_RU/admin.lang.php
===================================================================
--- /trunk/language/ru_RU/admin.lang.php	(revision 12028)
+++ /trunk/language/ru_RU/admin.lang.php	(revision 12029)
@@ -786,6 +786,4 @@
 $lang['display'] = 'показать';
 $lang['Activate icon "new" next to albums and pictures'] = 'Активировать иконку "new" рядом с альбомами и фотографиями';
-$lang['Compact'] = 'Компактный';
-$lang['Complete'] = 'Полный';
 $lang['Deactivate all'] = 'Деактивировать все';
 $lang['Default photos order'] = 'Порядок фотографий по умолчанию';
Index: /trunk/language/sk_SK/admin.lang.php
===================================================================
--- /trunk/language/sk_SK/admin.lang.php	(revision 12028)
+++ /trunk/language/sk_SK/admin.lang.php	(revision 12029)
@@ -797,6 +797,4 @@
 $lang['Searching...'] = 'Vyhľadávam...';
 $lang['Type in a search term'] = 'Napíšte vo vyhľadávaní';
-$lang['Compact'] = 'Kompaktné';
-$lang['Complete'] = 'Kompletné';
 $lang['Deactivate all'] = 'Ukončiť všetko';
 $lang['Restore'] = 'Obnoviť';
Index: /trunk/language/sl_SL/admin.lang.php
===================================================================
--- /trunk/language/sl_SL/admin.lang.php	(revision 12028)
+++ /trunk/language/sl_SL/admin.lang.php	(revision 12029)
@@ -66,6 +66,4 @@
 $lang['Comments for all'] = 'Komentarji za vse';
 $lang['Comments'] = 'Komentarji';
-$lang['Compact'] = 'Stisnjeno';
-$lang['Complete'] = 'Zakljuceno';
 $lang['Complementary mail content'] = 'Komplementarna vsebina pote';
 $lang['Configuration'] = 'Konfiguracija';
Index: /trunk/language/sr_RS/admin.lang.php
===================================================================
--- /trunk/language/sr_RS/admin.lang.php	(revision 12028)
+++ /trunk/language/sr_RS/admin.lang.php	(revision 12029)
@@ -790,6 +790,4 @@
 $lang['Average rate'] = 'Просечна оцена';
 $lang['Rate'] = 'Оцена';
-$lang['Compact'] = 'Запаковано';
-$lang['Complete'] = 'Завршено';
 $lang['Deactivate all'] = 'Искључи све';
 $lang['Restore'] = 'Обнови';
Index: /trunk/language/sv_SE/admin.lang.php
===================================================================
--- /trunk/language/sv_SE/admin.lang.php	(revision 12028)
+++ /trunk/language/sv_SE/admin.lang.php	(revision 12029)
@@ -794,6 +794,4 @@
 $lang['Type in a search term'] = 'Ange nytt sökord';
 $lang['Activate icon "new" next to albums and pictures'] = 'Aktivera ikonen "ny" intill album och bilder';
-$lang['Compact'] = 'Kompakt';
-$lang['Complete'] = 'Komplett';
 $lang['Deactivate all'] = 'Avaktivera allt';
 $lang['Default photos order'] = 'Standardordning för bilder';
Index: /trunk/language/tr_TR/admin.lang.php
===================================================================
--- /trunk/language/tr_TR/admin.lang.php	(revision 12028)
+++ /trunk/language/tr_TR/admin.lang.php	(revision 12029)
@@ -773,6 +773,4 @@
 $lang['THIS PLUGIN IS NOW PART OF PIWIGO CORE! DELETE IT NOW.'] = 'Bu eklenti şimdi Piwigo\'nun kendi parçasıdır lütfen siliniz.!';
 $lang['ERROR: THIS PLUGIN IS MISSING BUT IT IS INSTALLED! UNINSTALL IT NOW.'] = 'Hata: Bu eklenti eksik, ama yüklenmiş. Lütfen siliniz.';
-$lang['Compact'] = 'Kompakt';
-$lang['Complete'] = 'Tamamı';
 $lang['Restore'] = 'Onarım';
 $lang['Restore default configuration. You will lose your plugin settings!'] = 'Varsayılan yapılandırmalarınızı onarın. Eklenti ayarlrınız kaybolacaktır!';
Index: /trunk/language/uk_UA/admin.lang.php
===================================================================
--- /trunk/language/uk_UA/admin.lang.php	(revision 12028)
+++ /trunk/language/uk_UA/admin.lang.php	(revision 12029)
@@ -205,6 +205,4 @@
 $lang['default values'] = 'значення за замовчуванням';
 $lang['default'] = 'за замовчуванням';
-$lang['Compact'] = 'Компактний';
-$lang['Complete'] = 'Повний';
 $lang['delete album'] = 'видалити альбом';
 $lang['Delete orphan tags'] = 'Видалити пусті теги';
Index: /trunk/language/vi_VN/admin.lang.php
===================================================================
--- /trunk/language/vi_VN/admin.lang.php	(revision 12028)
+++ /trunk/language/vi_VN/admin.lang.php	(revision 12029)
@@ -794,6 +794,4 @@
 $lang['Type in a search term'] = 'Nhập vào trong mục tìm kiếm';
 $lang['display'] = 'hiển thị';
-$lang['Compact'] = 'Thu gọn';
-$lang['Complete'] = 'Hoàn thành';
 $lang['Deactivate all'] = 'Bỏ kích hoạt tất cả';
 $lang['Restore'] = 'Phục hồi';
Index: /trunk/language/zh_CN/admin.lang.php
===================================================================
--- /trunk/language/zh_CN/admin.lang.php	(revision 12028)
+++ /trunk/language/zh_CN/admin.lang.php	(revision 12029)
@@ -787,6 +787,4 @@
 $lang['Activate icon "new" next to albums and pictures'] = '激活相册和图片旁边的"新建"图标';
 $lang['Add a criteria'] = '添加一个条件';
-$lang['Compact'] = '简洁';
-$lang['Complete'] = '完整';
 $lang['Deactivate all'] = '解除所有';
 $lang['Default photos order'] = '默认相片排序';