Index: /extensions/PiwigoLib/Piwigo.sln
===================================================================
--- /extensions/PiwigoLib/Piwigo.sln	(revision 12034)
+++ /extensions/PiwigoLib/Piwigo.sln	(revision 12035)
@@ -1,5 +1,5 @@
 ﻿
 Microsoft Visual Studio Solution File, Format Version 11.00
-# Visual C# Express 2010
+# Visual Studio 2010
 Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "PiwigoLib", "PiwigoLib\PiwigoLib.csproj", "{64C068C5-DBFE-4712-9081-B9100698F35C}"
 EndProject
@@ -7,4 +7,6 @@
 EndProject
 Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "PiwigoWpf", "PiwigoWpf\PiwigoWpf.csproj", "{59F7FCF2-858A-406D-92A6-50514BD89B43}"
+EndProject
+Project("{54435603-DBB4-11D2-8724-00A0C9A8B90C}") = "PiwigoWPFSetup", "PiwigoWPFSetup\PiwigoWPFSetup.vdproj", "{A76EEC3F-427C-432A-8060-40096DF8AA4A}"
 EndProject
 Global
@@ -48,4 +50,10 @@
 		{59F7FCF2-858A-406D-92A6-50514BD89B43}.Release|x86.ActiveCfg = Release|x86
 		{59F7FCF2-858A-406D-92A6-50514BD89B43}.Release|x86.Build.0 = Release|x86
+		{A76EEC3F-427C-432A-8060-40096DF8AA4A}.Debug|Any CPU.ActiveCfg = Debug
+		{A76EEC3F-427C-432A-8060-40096DF8AA4A}.Debug|Mixed Platforms.ActiveCfg = Debug
+		{A76EEC3F-427C-432A-8060-40096DF8AA4A}.Debug|x86.ActiveCfg = Debug
+		{A76EEC3F-427C-432A-8060-40096DF8AA4A}.Release|Any CPU.ActiveCfg = Release
+		{A76EEC3F-427C-432A-8060-40096DF8AA4A}.Release|Mixed Platforms.ActiveCfg = Release
+		{A76EEC3F-427C-432A-8060-40096DF8AA4A}.Release|x86.ActiveCfg = Release
 	EndGlobalSection
 	GlobalSection(SolutionProperties) = preSolution
Index: /extensions/PiwigoLib/PiwigoLib/PiwigoLib.csproj
===================================================================
--- /extensions/PiwigoLib/PiwigoLib/PiwigoLib.csproj	(revision 12034)
+++ /extensions/PiwigoLib/PiwigoLib/PiwigoLib.csproj	(revision 12035)
@@ -17,4 +17,5 @@
     <OldToolsVersion>3.5</OldToolsVersion>
     <UpgradeBackupLocation />
+    <TargetFrameworkProfile>Client</TargetFrameworkProfile>
   </PropertyGroup>
   <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
@@ -40,5 +41,4 @@
       <RequiredTargetFramework>3.5</RequiredTargetFramework>
     </Reference>
-    <Reference Include="System.Web" />
     <Reference Include="System.Xml.Linq">
       <RequiredTargetFramework>3.5</RequiredTargetFramework>
Index: /extensions/PiwigoLib/PiwigoLib/Proxy/Helper/PwgProxyReponseHelper.cs
===================================================================
--- /extensions/PiwigoLib/PiwigoLib/Proxy/Helper/PwgProxyReponseHelper.cs	(revision 12034)
+++ /extensions/PiwigoLib/PiwigoLib/Proxy/Helper/PwgProxyReponseHelper.cs	(revision 12035)
@@ -80,5 +80,5 @@
                 foreach (T occurance in values)
                 {
-                    queryStringBuilder.AppendFormat(FormatString, paramName, HttpUtility.UrlEncode(GetString(occurance)));
+                    queryStringBuilder.AppendFormat(FormatString, paramName, Uri.EscapeUriString(GetString(occurance)));
                     firstOcc = false;
                 }
@@ -106,5 +106,5 @@
                 }
 
-                ParamValue = HttpUtility.UrlEncode(GetString(value));
+                ParamValue = Uri.EscapeUriString(GetString(value));
                 
                 queryStringBuilder.AppendFormat(FormatString, paramName, ParamValue);
Index: /extensions/PiwigoLib/PiwigoLib/Proxy/PwgSessionProxy.cs
===================================================================
--- /extensions/PiwigoLib/PiwigoLib/Proxy/PwgSessionProxy.cs	(revision 12034)
+++ /extensions/PiwigoLib/PiwigoLib/Proxy/PwgSessionProxy.cs	(revision 12035)
@@ -35,6 +35,6 @@
                 StringBuilder data = new StringBuilder();
                 data.Append("method=pwg.session.login");
-                data.Append("&username=" + HttpUtility.UrlEncode(UserName));
-                data.Append("&password=" + HttpUtility.UrlEncode(Password));
+                data.Append("&username=" + Uri.EscapeUriString(UserName));
+                data.Append("&password=" + Uri.EscapeUriString(Password));
 
 
Index: /extensions/PiwigoLib/PiwigoLib/Proxy/PwgTagsProxy.cs
===================================================================
--- /extensions/PiwigoLib/PiwigoLib/Proxy/PwgTagsProxy.cs	(revision 12034)
+++ /extensions/PiwigoLib/PiwigoLib/Proxy/PwgTagsProxy.cs	(revision 12035)
@@ -121,5 +121,5 @@
                 StringBuilder data = new StringBuilder();
                 data.Append("method=pwg.tags.add");
-                data.Append("&name=" + HttpUtility.UrlEncode(tagName));
+                data.Append("&name=" + Uri.EscapeUriString(tagName));
 
                 response = PwgGenericProxy<PwgAddRequestProxyResponse>.Post(
Index: /extensions/PiwigoLib/PiwigoWPFSetup/PiwigoWPFSetup.vdproj
===================================================================
--- /extensions/PiwigoLib/PiwigoWPFSetup/PiwigoWPFSetup.vdproj	(revision 12034)
+++ /extensions/PiwigoLib/PiwigoWPFSetup/PiwigoWPFSetup.vdproj	(revision 12035)
@@ -16,4 +16,10 @@
         "Entry"
         {
+        "MsmKey" = "8:_73D751648A034FC78611F46D7C42D630"
+        "OwnerKey" = "8:_UNDEFINED"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
         "MsmKey" = "8:_B577145C952C4BCDBFB90C23E69307C3"
         "OwnerKey" = "8:_UNDEFINED"
@@ -29,11 +35,11 @@
         {
         "MsmKey" = "8:_UNDEFINED"
+        "OwnerKey" = "8:_B577145C952C4BCDBFB90C23E69307C3"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_UNDEFINED"
         "OwnerKey" = "8:_B95E7A2ED509F8B7340E8BB7DAFAAE6A"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_UNDEFINED"
-        "OwnerKey" = "8:_B577145C952C4BCDBFB90C23E69307C3"
         "MsmSig" = "8:_UNDEFINED"
         }
@@ -56,4 +62,25 @@
         "TimeStampServer" = "8:"
         "InstallerBootstrapper" = "3:2"
+            "BootstrapperCfg:{63ACBE69-63AA-4F98-B2B6-99F9E24495F2}"
+            {
+            "Enabled" = "11:TRUE"
+            "PromptEnabled" = "11:TRUE"
+            "PrerequisitesLocation" = "2:1"
+            "Url" = "8:"
+            "ComponentsUrl" = "8:"
+                "Items"
+                {
+                    "{EDC2488A-8267-493A-A98E-7D9C3B36CDF3}:.NETFramework,Version=v4.0,Profile=Client"
+                    {
+                    "Name" = "8:Microsoft .NET Framework 4 Client Profile (x86 and x64)"
+                    "ProductCode" = "8:.NETFramework,Version=v4.0,Profile=Client"
+                    }
+                    "{EDC2488A-8267-493A-A98E-7D9C3B36CDF3}:Microsoft.Windows.Installer.3.1"
+                    {
+                    "Name" = "8:Windows Installer 3.1"
+                    "ProductCode" = "8:Microsoft.Windows.Installer.3.1"
+                    }
+                }
+            }
         }
         "Release"
@@ -72,4 +99,12 @@
         "TimeStampServer" = "8:"
         "InstallerBootstrapper" = "3:2"
+            "BootstrapperCfg:{63ACBE69-63AA-4F98-B2B6-99F9E24495F2}"
+            {
+            "Enabled" = "11:TRUE"
+            "PromptEnabled" = "11:TRUE"
+            "PrerequisitesLocation" = "2:1"
+            "Url" = "8:"
+            "ComponentsUrl" = "8:"
+            }
         }
     }
@@ -78,4 +113,60 @@
         "CustomAction"
         {
+            "{4AA51A2D-7D85-4A59-BA75-B0809FC8B380}:_37E419C212744B85A6B147C2F94D3164"
+            {
+            "Name" = "8:Primary output from PiwigoWpf (Active)"
+            "Condition" = "8:"
+            "Object" = "8:_B577145C952C4BCDBFB90C23E69307C3"
+            "FileType" = "3:2"
+            "InstallAction" = "3:4"
+            "Arguments" = "8:"
+            "EntryPoint" = "8:"
+            "Sequence" = "3:1"
+            "Identifier" = "8:_BCFAC800_40CC_4952_A297_2749A525C9B3"
+            "InstallerClass" = "11:TRUE"
+            "CustomActionData" = "8:"
+            }
+            "{4AA51A2D-7D85-4A59-BA75-B0809FC8B380}:_3DF6CBD98735469D96AD3FDFB7FF8272"
+            {
+            "Name" = "8:Primary output from PiwigoWpf (Active)"
+            "Condition" = "8:"
+            "Object" = "8:_B577145C952C4BCDBFB90C23E69307C3"
+            "FileType" = "3:2"
+            "InstallAction" = "3:3"
+            "Arguments" = "8:"
+            "EntryPoint" = "8:"
+            "Sequence" = "3:1"
+            "Identifier" = "8:_EBC5EA21_EC04_4025_933E_627A179D6B33"
+            "InstallerClass" = "11:TRUE"
+            "CustomActionData" = "8:"
+            }
+            "{4AA51A2D-7D85-4A59-BA75-B0809FC8B380}:_4DEB11B2B84849009D1D5AF5D1CF347D"
+            {
+            "Name" = "8:Primary output from PiwigoWpf (Active)"
+            "Condition" = "8:"
+            "Object" = "8:_B577145C952C4BCDBFB90C23E69307C3"
+            "FileType" = "3:2"
+            "InstallAction" = "3:2"
+            "Arguments" = "8:"
+            "EntryPoint" = "8:"
+            "Sequence" = "3:1"
+            "Identifier" = "8:_8A0F8EAE_822C_437A_B9DD_F97AC20C611A"
+            "InstallerClass" = "11:TRUE"
+            "CustomActionData" = "8:"
+            }
+            "{4AA51A2D-7D85-4A59-BA75-B0809FC8B380}:_C30EB7E2365747B8B598B3C4CE6AD577"
+            {
+            "Name" = "8:Primary output from PiwigoWpf (Active)"
+            "Condition" = "8:"
+            "Object" = "8:_B577145C952C4BCDBFB90C23E69307C3"
+            "FileType" = "3:2"
+            "InstallAction" = "3:1"
+            "Arguments" = "8:"
+            "EntryPoint" = "8:"
+            "Sequence" = "3:1"
+            "Identifier" = "8:_2F91C91E_306D_44D6_8E29_6E59A24325B7"
+            "InstallerClass" = "11:TRUE"
+            "CustomActionData" = "8:"
+            }
         }
         "DefaultFeature"
@@ -93,5 +184,5 @@
                 "Name" = "8:.NET Framework 4"
                 "Message" = "8:[VSDNETMSG]"
-                "FrameworkVersion" = "8:.NETFramework,Version=v4.0"
+                "FrameworkVersion" = "8:.NETFramework,Version=v4.0,Profile=Client"
                 "AllowLaterVersions" = "11:FALSE"
                 "InstallUrl" = "8:http://go.microsoft.com/fwlink/?LinkId=131000"
@@ -101,4 +192,24 @@
         "File"
         {
+            "{1FB2D0AE-D3B9-43D4-B9DD-F88EC61E35DE}:_73D751648A034FC78611F46D7C42D630"
+            {
+            "SourcePath" = "8:..\\PiwigoWpf\\Pictures\\PiwigoLogo.png"
+            "TargetName" = "8:PiwigoLogo.png"
+            "Tag" = "8:"
+            "Folder" = "8:_14403438244A4421892648808631B111"
+            "Condition" = "8:"
+            "Transitive" = "11:FALSE"
+            "Vital" = "11:TRUE"
+            "ReadOnly" = "11:FALSE"
+            "Hidden" = "11:FALSE"
+            "System" = "11:FALSE"
+            "Permanent" = "11:FALSE"
+            "SharedLegacy" = "11:FALSE"
+            "PackageAs" = "3:1"
+            "Register" = "3:1"
+            "Exclude" = "11:TRUE"
+            "IsDependency" = "11:FALSE"
+            "IsolateTo" = "8:"
+            }
             "{9F6F8455-1EF1-4B85-886A-4223BCC8E7F7}:_B95E7A2ED509F8B7340E8BB7DAFAAE6A"
             {
@@ -189,5 +300,5 @@
         "ProductName" = "8:PiwigoWPF"
         "ProductCode" = "8:{1A1D38BF-DA5F-41C7-8311-4F356E4655AE}"
-        "PackageCode" = "8:{22969C31-A115-45DC-B16F-88EDBB62AEC2}"
+        "PackageCode" = "8:{7F5B26C0-3481-43E8-8FE3-37F9EBCA7496}"
         "UpgradeCode" = "8:{D954E923-EA84-413E-AD67-D04E431ACE27}"
         "AspNetVersion" = "8:4.0.30319.0"
Index: /extensions/PiwigoLib/PiwigoWpf/PiwigoWpf.csproj
===================================================================
--- /extensions/PiwigoLib/PiwigoWpf/PiwigoWpf.csproj	(revision 12034)
+++ /extensions/PiwigoLib/PiwigoWpf/PiwigoWpf.csproj	(revision 12035)
@@ -12,6 +12,5 @@
     <AssemblyName>PiwigoWpf</AssemblyName>
     <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
-    <TargetFrameworkProfile>
-    </TargetFrameworkProfile>
+    <TargetFrameworkProfile>Client</TargetFrameworkProfile>
     <FileAlignment>512</FileAlignment>
     <ProjectTypeGuids>{60dc8134-eba5-43b8-bcc9-bb4bc16c2548};{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}</ProjectTypeGuids>
Index: /extensions/PiwigoLib/PiwigoWpf/app.config
===================================================================
--- /extensions/PiwigoLib/PiwigoWpf/app.config	(revision 12034)
+++ /extensions/PiwigoLib/PiwigoWpf/app.config	(revision 12035)
@@ -7,5 +7,5 @@
   </configSections>
   <startup>
-    <supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.0"/>
+    <supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.0,Profile=Client"/>
   </startup>
   <userSettings>