Index: /extensions/PiwigoLib/PiwigoWPFSetup/PiwigoWPFSetup.vdproj
===================================================================
--- /extensions/PiwigoLib/PiwigoWPFSetup/PiwigoWPFSetup.vdproj	(revision 12037)
+++ /extensions/PiwigoLib/PiwigoWPFSetup/PiwigoWPFSetup.vdproj	(revision 12038)
@@ -16,10 +16,4 @@
         "Entry"
         {
-        "MsmKey" = "8:_73D751648A034FC78611F46D7C42D630"
-        "OwnerKey" = "8:_UNDEFINED"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
         "MsmKey" = "8:_B577145C952C4BCDBFB90C23E69307C3"
         "OwnerKey" = "8:_UNDEFINED"
@@ -106,4 +100,17 @@
             "Url" = "8:"
             "ComponentsUrl" = "8:"
+                "Items"
+                {
+                    "{EDC2488A-8267-493A-A98E-7D9C3B36CDF3}:.NETFramework,Version=v4.0,Profile=Client"
+                    {
+                    "Name" = "8:Microsoft .NET Framework 4 Client Profile (x86 and x64)"
+                    "ProductCode" = "8:.NETFramework,Version=v4.0,Profile=Client"
+                    }
+                    "{EDC2488A-8267-493A-A98E-7D9C3B36CDF3}:Microsoft.Windows.Installer.3.1"
+                    {
+                    "Name" = "8:Windows Installer 3.1"
+                    "ProductCode" = "8:Microsoft.Windows.Installer.3.1"
+                    }
+                }
             }
         }
@@ -113,60 +120,4 @@
         "CustomAction"
         {
-            "{4AA51A2D-7D85-4A59-BA75-B0809FC8B380}:_37E419C212744B85A6B147C2F94D3164"
-            {
-            "Name" = "8:Primary output from PiwigoWpf (Active)"
-            "Condition" = "8:"
-            "Object" = "8:_B577145C952C4BCDBFB90C23E69307C3"
-            "FileType" = "3:2"
-            "InstallAction" = "3:4"
-            "Arguments" = "8:"
-            "EntryPoint" = "8:"
-            "Sequence" = "3:1"
-            "Identifier" = "8:_BCFAC800_40CC_4952_A297_2749A525C9B3"
-            "InstallerClass" = "11:TRUE"
-            "CustomActionData" = "8:"
-            }
-            "{4AA51A2D-7D85-4A59-BA75-B0809FC8B380}:_3DF6CBD98735469D96AD3FDFB7FF8272"
-            {
-            "Name" = "8:Primary output from PiwigoWpf (Active)"
-            "Condition" = "8:"
-            "Object" = "8:_B577145C952C4BCDBFB90C23E69307C3"
-            "FileType" = "3:2"
-            "InstallAction" = "3:3"
-            "Arguments" = "8:"
-            "EntryPoint" = "8:"
-            "Sequence" = "3:1"
-            "Identifier" = "8:_EBC5EA21_EC04_4025_933E_627A179D6B33"
-            "InstallerClass" = "11:TRUE"
-            "CustomActionData" = "8:"
-            }
-            "{4AA51A2D-7D85-4A59-BA75-B0809FC8B380}:_4DEB11B2B84849009D1D5AF5D1CF347D"
-            {
-            "Name" = "8:Primary output from PiwigoWpf (Active)"
-            "Condition" = "8:"
-            "Object" = "8:_B577145C952C4BCDBFB90C23E69307C3"
-            "FileType" = "3:2"
-            "InstallAction" = "3:2"
-            "Arguments" = "8:"
-            "EntryPoint" = "8:"
-            "Sequence" = "3:1"
-            "Identifier" = "8:_8A0F8EAE_822C_437A_B9DD_F97AC20C611A"
-            "InstallerClass" = "11:TRUE"
-            "CustomActionData" = "8:"
-            }
-            "{4AA51A2D-7D85-4A59-BA75-B0809FC8B380}:_C30EB7E2365747B8B598B3C4CE6AD577"
-            {
-            "Name" = "8:Primary output from PiwigoWpf (Active)"
-            "Condition" = "8:"
-            "Object" = "8:_B577145C952C4BCDBFB90C23E69307C3"
-            "FileType" = "3:2"
-            "InstallAction" = "3:1"
-            "Arguments" = "8:"
-            "EntryPoint" = "8:"
-            "Sequence" = "3:1"
-            "Identifier" = "8:_2F91C91E_306D_44D6_8E29_6E59A24325B7"
-            "InstallerClass" = "11:TRUE"
-            "CustomActionData" = "8:"
-            }
         }
         "DefaultFeature"
@@ -192,24 +143,4 @@
         "File"
         {
-            "{1FB2D0AE-D3B9-43D4-B9DD-F88EC61E35DE}:_73D751648A034FC78611F46D7C42D630"
-            {
-            "SourcePath" = "8:..\\PiwigoWpf\\Pictures\\PiwigoLogo.png"
-            "TargetName" = "8:PiwigoLogo.png"
-            "Tag" = "8:"
-            "Folder" = "8:_14403438244A4421892648808631B111"
-            "Condition" = "8:"
-            "Transitive" = "11:FALSE"
-            "Vital" = "11:TRUE"
-            "ReadOnly" = "11:FALSE"
-            "Hidden" = "11:FALSE"
-            "System" = "11:FALSE"
-            "Permanent" = "11:FALSE"
-            "SharedLegacy" = "11:FALSE"
-            "PackageAs" = "3:1"
-            "Register" = "3:1"
-            "Exclude" = "11:TRUE"
-            "IsDependency" = "11:FALSE"
-            "IsolateTo" = "8:"
-            }
             "{9F6F8455-1EF1-4B85-886A-4223BCC8E7F7}:_B95E7A2ED509F8B7340E8BB7DAFAAE6A"
             {
Index: /extensions/PiwigoLib/PiwigoWpf/DTO/LocalPwgCategory.cs
===================================================================
--- /extensions/PiwigoLib/PiwigoWpf/DTO/LocalPwgCategory.cs	(revision 12037)
+++ /extensions/PiwigoLib/PiwigoWpf/DTO/LocalPwgCategory.cs	(revision 12038)
@@ -33,4 +33,11 @@
         }
 
+        private String _localDir;
+        public String LocalDir
+        {
+            set { _localDir = value; OnPropertyChanged("LocalDir"); }
+            get { return _localDir; }
+        }
+
         private Int32 _upperCatId;
         public Int32 UpperCatId
@@ -39,5 +46,19 @@
             get { return _upperCatId; }
         }
-        
+
+        private LocalPwgCategoryListWPF _subCategories;
+        public LocalPwgCategoryListWPF SubCategories
+        {
+            set { _subCategories = value; OnPropertyChanged("SubCategories"); }
+            get { return _subCategories; }
+        }
+
+        private LocalPwgImageListWPF _localImages;
+        public LocalPwgImageListWPF LocalImages
+        {
+            set { _localImages = value; OnPropertyChanged("LocalImages"); }
+            get { return _localImages; }
+        }
+
         public event PropertyChangedEventHandler PropertyChanged;
         protected void OnPropertyChanged(String info)
Index: /extensions/PiwigoLib/PiwigoWpf/DTO/PwgModelManager.cs
===================================================================
--- /extensions/PiwigoLib/PiwigoWpf/DTO/PwgModelManager.cs	(revision 12037)
+++ /extensions/PiwigoLib/PiwigoWpf/DTO/PwgModelManager.cs	(revision 12038)
@@ -96,4 +96,12 @@
             }
 
+            private LocalPwgCategoryListWPF _localCategoryToImport;
+            public LocalPwgCategoryListWPF LocalCategoryToImport
+            {
+                set { _localCategoryToImport = value; OnPropertyChanged("LocalCategoryToImport"); }
+                get { return _localCategoryToImport; }
+            }
+            
+
             public event PropertyChangedEventHandler PropertyChanged;
             internal void OnPropertyChanged(String info)
Index: /extensions/PiwigoLib/PiwigoWpf/PiwigoWpf.csproj
===================================================================
--- /extensions/PiwigoLib/PiwigoWpf/PiwigoWpf.csproj	(revision 12037)
+++ /extensions/PiwigoLib/PiwigoWpf/PiwigoWpf.csproj	(revision 12038)
@@ -95,4 +95,5 @@
     <Compile Include="DTO\Helper\PwgSessionWPFHelper.cs" />
     <Compile Include="DTO\LocalPwgCategory.cs" />
+    <Compile Include="DTO\LocalPwgImage.cs" />
     <Compile Include="DTO\PwgModelManager.cs" />
     <Compile Include="Helper\AdvBooltoVisibilityConverter.cs" />