Index: /trunk/language/it_IT/admin.lang.php
===================================================================
--- /trunk/language/it_IT/admin.lang.php	(revision 12042)
+++ /trunk/language/it_IT/admin.lang.php	(revision 12043)
@@ -857,4 +857,6 @@
 $lang['Manage Permissions'] = 'Gestire i permessi';
 $lang['Photo %s of %s'] = 'Foto %s su %s';
+$lang['show details'] = 'mostrare i dettagli';
+$lang['hide details'] = 'nascondere i dettagli';
 $lang['Merge tags'] = 'Fusionare i tags';
 $lang['Select the destination tag'] = 'Selezionare il tag di destinazione';
Index: /trunk/language/it_IT/common.lang.php
===================================================================
--- /trunk/language/it_IT/common.lang.php	(revision 12042)
+++ /trunk/language/it_IT/common.lang.php	(revision 12043)
@@ -353,3 +353,22 @@
 $lang['validate this comment'] = 'Approvare questo commento';
 $lang['html tags are not allowed in login'] = 'I tag HTML non sono ammessi nel login';
+$lang['Enter a username or email address'] = 'Inserisci il tuo nome utente o indirizzo email';
+$lang['Invalid username or email'] = 'Nome utente o indirizzo email non valido';
+$lang['Password reset is not allowed for this user'] = 'Il rinnovo della password non è consentito per questo utente';
+$lang['User "%s" has no email address, password reset is not possible'] = 'L\'utente "%s" non ha nessun indirizzo email, il rinnovo della password è impossibile';
+$lang['Someone requested that the password be reset for the following user account:'] = 'Qualcuno ha chiesto di rinnovare la propria password per l\'utente seguente :';
+$lang['Username "%s" on gallery %s'] = 'Utente "%s" sur la galerie %s';
+$lang['To reset your password, visit the following address:'] = 'Per rinnovare la vostra password, cliccare sul link qui sotto :';
+$lang['If this was a mistake, just ignore this email and nothing will happen.'] = 'Se si tratta di un\'errore, ignorare questo messaggio e la richiesta non sarà presa in considerazione';
+$lang['Password Reset'] = 'Rinnovare la vostra password';
+$lang['Check your email for the confirmation link'] = 'Controllare la posta elettronica per trovare il link di conferma';
+$lang['Invalid key'] = 'Chiave non valida';
+$lang['The passwords do not match'] = 'Le password non coincidono';
+$lang['Your password has been reset'] = 'La password è stata reimpostata';
+$lang['Return to home page'] = 'Ritornare alla home page';
+$lang['Please enter your username or email address.'] = 'Grazie d\'inserire il nome utente o l\'indirizzo email';
+$lang['You will receive a link to create a new password via email.'] = 'Via email, riceverete un link da cliccare per rinnovare la vostra password';
+$lang['Username or email'] = 'Nome utente o indirizzo email';
+$lang['Change my password'] = 'Cambiare la mia password';
+$lang['Enter your new password below.'] = 'Immettere la nuova password qui sotto';
 ?>
Index: /trunk/language/it_IT/help/configuration.html
===================================================================
--- /trunk/language/it_IT/help/configuration.html	(revision 12042)
+++ /trunk/language/it_IT/help/configuration.html	(revision 12043)
@@ -35,17 +35,5 @@
   <li><strong>Notificare agli amministratori quando un nuovo utente si registra</strong>: Gli amministratori riceveranno un'email ad ogni nuova iscrizione di utenti.</li>
   
-  <li><strong>Ordinamento di default delle foto</strong>: Potete definire un'ordinamento personalizzato selezionando &laquo;Personalizzato&raquo; nella lista corrispondente. Questo campo deve rispettare la sintassi SQL, per esempio : <i>date_available DESC, file ASC, id ASC</i><br>
-    Lista dei campi disponibili :
-    <ul style="font-size:0.85em;">
-      <li><b>date_available</b> : data di uploade nella galleria</li>
-      <li><b>file</b> : nome del file</li>
-      <li><b>id</b> : ID</li>
-      <li><b>date_creation</b> : data di creazione</li>
-      <li><b>name</b> : nome della foto</li>
-      <li><b>hit</b> : numero di visite</li>
-      <li><b>rating_score</b>: nota globbale</li>
-    </ul>
-    Non dimenticate che per ogni campo di specificare l'ordinamento con le parole chiavi <i>ASC</i> e <i>DESC</i>
-  </li>
+  <li><strong>Ordinamento di default delle foto</strong> : Potete definire un'ordinamento personalizzato grazie a i menu a tendina.</li>
 
 </ul>