Index: /trunk/language/ja_JP/admin.lang.php
===================================================================
--- /trunk/language/ja_JP/admin.lang.php	(revision 12054)
+++ /trunk/language/ja_JP/admin.lang.php	(revision 12055)
@@ -731,3 +731,5 @@
 $lang['File upload stopped by extension'] = 'エクステンションによって、ファイル・アップロードが中止しました。';
 $lang['In your php.ini file, the upload_max_filesize (%sB) is bigger than post_max_size (%sB), you should change this setting'] =' あなたのphp.ini ファイルによって、最高の投稿サイズ (%sB)より、 最大のアップロード・ファイルサイズ (%sB) のほうが大量です。この設定を変更する必です。';
+$lang['Average rate'] = '平均評価';
+$lang['Rate'] = '評価';
 ?>
Index: /trunk/language/ja_JP/common.lang.php
===================================================================
--- /trunk/language/ja_JP/common.lang.php	(revision 12054)
+++ /trunk/language/ja_JP/common.lang.php	(revision 12055)
@@ -36,5 +36,4 @@
 $lang_info['zero_plural'] = true;
 
-$lang['%.2f (rated %d times)'] = '%.2f (評価 %d 回)';
 $lang['%d Kb'] = '%d Kb';
 $lang['%d album updated'] = '%d 件のカテゴリが更新されました。';
@@ -58,5 +57,4 @@
 $lang['At least one tag must match'] = '少なくとも1つのタグが合致する必要があります。';
 $lang['Author'] = '撮影者';
-$lang['Average rate'] = '平均評価';
 $lang['Albums'] = 'カテゴリ';
 $lang['Album'] = 'カテゴリ';
@@ -103,5 +101,4 @@
 $lang['Quick connect'] = 'クイック接続';
 $lang['RSS feed'] = 'RSSフィード';
-$lang['Rate'] = '評価';
 $lang['Register'] = '登録';
 $lang['Registration'] = '登録';
@@ -353,3 +350,24 @@
 $lang['Number of photos per page'] = 'ページごとの写真数';
 $lang['html tags are not allowed in login'] = 'ログインの際、HTMLタッグが使いません';
+$lang['%d rates'] = '%d 程度';
+$lang['Rating score'] = '程度のスコア';
+$lang['Enter a username or email address'] = 'ユーザー名又はメールアドレスを入力して下さい。';
+$lang['Invalid username or email'] = '無効なユーザー名又はメールアドレス';
+$lang['Password reset is not allowed for this user'] = 'このユーザーのためのパスワード・リセットは無効である。';
+$lang['User "%s" has no email address, password reset is not possible'] = 'ユーザー： "%s" はメールアドレスがありません。パスワード・リセットができません。';
+$lang['Someone requested that the password be reset for the following user account:'] = '次のユーザーのアカウントのために、誰かがパスワード・リセットを要求しました。';
+$lang['Username "%s" on gallery %s'] = 'ユーザー： "%s" は現在： %s\'のガラリー';
+$lang['To reset your password, visit the following address:'] = 'パスワードがリセットしたいために、次のアドレスへ：';
+$lang['If this was a mistake, just ignore this email and nothing will happen.'] = 'もし、これは間違えたら、このメールを消去し、何も起こりません。';
+$lang['Password Reset'] = 'パスワード・リセット';
+$lang['Check your email for the confirmation link'] = '認証リンクのために、あなたのメールを確認してください。';
+$lang['Invalid key'] = '無効なキー';
+$lang['The passwords do not match'] = 'パスワードが合わせません。';
+$lang['Your password has been reset'] = 'あなたのパスワードはリセットされました。';
+$lang['Return to home page'] = 'ホームページに戻り';
+$lang['Please enter your username or email address.'] = 'あなたのユーザー名又はメールアドレスを入力してください。';
+$lang['You will receive a link to create a new password via email.'] = '新たなパスワードを作成するためのリンクをメールで送信しました。';
+$lang['Username or email'] = 'ユーザー名又はメール';
+$lang['Change my password'] = 'パスワード変更';
+$lang['Enter your new password below.'] = '新たなパスワードを以下の空欄に入力して下さい。';
 ?>