Index: /trunk/language/hu_HU/common.lang.php
===================================================================
--- /trunk/language/hu_HU/common.lang.php	(revision 12067)
+++ /trunk/language/hu_HU/common.lang.php	(revision 12068)
@@ -149,5 +149,5 @@
 $lang['chronology_monthly_list'] = 'Havi lista';
 $lang['chronology_weekly_list'] = 'Heti lista';
-$lang['Click here if your browser does not automatically forward you'] = 'Kattints ide, ha a böngésződ nem továbbít automatikusan.';
+$lang['Click here if your browser does not automatically forward you'] = 'Kattintson ide, ha a böngészője nem továbbítja automatikusan.';
 $lang['comment date'] = 'Hozzászólás időpontja';
 $lang['Comment'] = 'Hozzászólás';
@@ -188,5 +188,5 @@
 $lang['Page generated in'] = 'Oldal készült';
 $lang['guest'] = 'Vendég';
-$lang['Hello'] = 'Szia';
+$lang['Hello'] = 'Üdv';
 $lang['available for administrators only'] = 'Csak adminisztrátoroknak';
 $lang['display this album'] = 'képek megjelenítése az album gyökeréből';
@@ -233,5 +233,5 @@
 $lang['Unknown identifier'] = 'Ismeretlen azonosító';
 $lang['New password'] = 'Új jelszó';
-$lang['Rate this photo'] = 'Értékeld a képet';
+$lang['Rate this photo'] = 'Értékelje a képet';
 $lang['Next'] = 'Következő';
 $lang['no rate'] = 'még nincs értékelve';
@@ -241,5 +241,5 @@
 $lang['Recent period must be a positive integer value'] = 'Kell egy pozitív egész érték';
 $lang['photo'] = 'kép';
-$lang['Click on the photo to see it in high definition'] = 'Az eredeti méret megnyitásához kattints a képre!';
+$lang['Click on the photo to see it in high definition'] = 'Az eredeti méret megnyitásához kattintson a képre!';
 $lang['Show file metadata'] = 'Meta adatok megjelenítése';
 $lang['Powered by'] = 'Az oldal motorja:';
@@ -260,5 +260,5 @@
 $lang['mail address must be like xxx@yyy.eee (example : jack@altern.org)'] = 'E-mail formátuma: xxx@yyy.eee (pl.: kedvenc@nyuszi.hu)';
 $lang['please enter your password again'] = 'Kérem, adja meg újra jelszavát';
-$lang['Auto login'] = 'Jegyezd meg';
+$lang['Auto login'] = 'Jegyezz meg';
 $lang['remove this tag from the list'] = 'Ezt a címkét távolítsa el a listáról';
 $lang['representative'] = 'képviselő';
@@ -279,5 +279,5 @@
 $lang['Contact'] = 'Kapcsolat:';
 $lang['set as album representative'] = 'Beállítás album-képviselőként';
-$lang['Show number of comments'] = 'Hozzászólások számának mutatása';
+$lang['Show number of comments'] = 'Hozzászólások számának megjelenítése';
 $lang['Show number of hits'] = 'Találatok száma';
 $lang['slideshow'] = 'Diavetítés';
@@ -296,5 +296,5 @@
 $lang['wrong filename'] = 'Hibás a fájlnév';
 $lang['the username must be given'] = 'Felhasználói nevet meg kell adni';
-$lang['useful when password forgotten'] = 'hasznos, ha elfelejted a jelszavadat';
+$lang['useful when password forgotten'] = 'hasznos, ha elfelejti a jelszavát';
 $lang['Quick search'] = 'Gyors-keresés';
 $lang['Connected user: %s'] = 'Kapcsolódás Felhasználó: %s';
@@ -333,5 +333,5 @@
 $lang['group by letters'] = 'Betűrendben';
 $lang['letters'] = 'Betűrendben';
-$lang['show tag cloud'] = 'Címkefelhő mutatása';
+$lang['show tag cloud'] = 'Címkefelhő megjelenítése';
 $lang['cloud'] = 'Felhő';
 $lang['Reset to default values'] = 'Alap értékek visszaállítása';
@@ -339,5 +339,5 @@
 $lang['Sent by'] = 'Küldte';
 $lang['Cookies are blocked or not supported by your browser. You must enable cookies to connect.'] = 'A cookie-k le vannak tiltva vagy a böngésző nem támogatja. Engedélyezni kell a cookie-kat a csatlakozáshoz.';
-$lang['Are you sure?'] = 'Biztos vagy benne?';
+$lang['Are you sure?'] = 'Biztos benne?';
 $lang['delete this comment'] = 'Hozzászólás törlése';
 $lang['Email address is missing. Please specify an email address.'] = 'E-mail cím hiányzik. Kérem írja be az e-mail címet.';
@@ -349,5 +349,5 @@
 $lang['... or browse your empty gallery'] = '... vagy tekintse meg az üres galériát';
 $lang['... or please deactivate this message, I will find my way by myself'] = '... vagy kérem kikapcsolni ezt az üzenetet, eligazodom magam is';
-$lang['Hello %s, your Piwigo photo gallery is empty!'] = 'Szia %s, ez a Piwigo képgaléria üres!';
+$lang['Hello %s, your Piwigo photo gallery is empty!'] = 'Üdv %s, ez a Piwigo képgaléria üres!';
 $lang['I want to add photos'] = 'Szeretnék képeket feltölteni';
 $lang['Manage this user comment: %s'] = 'Itt kezelheti a felhasználó hozzászólását: %s';
@@ -358,3 +358,25 @@
 $lang['The number of photos per page must be a not null scalar'] = 'Az oldalankénti képek száma nem lehet 0, és pozitív egész szám kell legyen.';
 $lang['Number of photos per page'] = 'Képek száma oldalanként';
+// missing translations
+$lang['Rating score'] = 'Átlagos pontszám';
+$lang['Enter a username or email address'] = 'Adja meg a felhasználónevét, vagy e-mail címét';
+$lang['Invalid username or email'] = 'Érvénytelen felhasználónév vagy e-mail cím';
+$lang['Password reset is not allowed for this user'] = 'Password reset is not allowed for this user';
+$lang['User "%s" has no email address, password reset is not possible'] = 'User "%s" has no email address, password reset is not possible';
+$lang['Someone requested that the password be reset for the following user account:'] = 'Someone requested that the password be reset for the following user account:';
+$lang['Username "%s" on gallery %s'] = 'Felhasználónév: "%s" Galéria: %s';
+$lang['To reset your password, visit the following address:'] = 'A jelszó módosításához kattintson a következő linkre:';
+$lang['If this was a mistake, just ignore this email and nothing will happen.'] = 'Amennyiben nem Ön kérte, vagy időközben meggondolta magát, kérjük hagyja figyelmen kívül ezt a levelet és nem történik semmi.';
+$lang['Password Reset'] = 'Jelszó törlése (Új jelszó)';
+$lang['Check your email for the confirmation link'] = 'Elküldtük levélben a megerősítő linket. Kérjük ellenőrizze postafiókját.';
+$lang['Invalid key'] = 'Invalid key';
+$lang['The passwords do not match'] = 'The passwords do not match';
+$lang['Your password has been reset'] = 'Your password has been reset';
+$lang['Return to home page'] = 'Return to home page';
+$lang['Please enter your username or email address.'] = 'Kérjük adja meg felhasználónevét, vagy e-mail címét.';
+$lang['You will receive a link to create a new password via email.'] = 'E-mailben kap egy linket, hogy létre tudja hozni új jelszavát.';
+$lang['Username or email'] = 'Felhasználónév vagy e-mail cím';
+$lang['Change my password'] = 'Jelszó módosítása';
+$lang['Enter your new password below.'] = 'Enter your new password below.';
+
 ?>