Index: /trunk/language/cs_CZ/common.lang.php
===================================================================
--- /trunk/language/cs_CZ/common.lang.php	(revision 12072)
+++ /trunk/language/cs_CZ/common.lang.php	(revision 12073)
@@ -357,3 +357,24 @@
 $lang['IP: %s'] = 'IP: %s';
 $lang['html tags are not allowed in login'] = 'html značky nejsou povoleny v loginu';
+$lang['%d rates'] = '%d ohodnocení';
+$lang['Rating score'] = 'Bodové hodnocení';
+$lang['Enter a username or email address'] = 'Zadejte uživatelské jméno nebo emailovou adresu';
+$lang['Invalid username or email'] = 'Neplatné uživatelské jméno nebo email';
+$lang['Password reset is not allowed for this user'] = 'Obnovení hesla není pro tohoto uživatele povoleno';
+$lang['User "%s" has no email address, password reset is not possible'] = 'Uživatel "%s" nemá email adresu, obnova hesla není možná';
+$lang['Someone requested that the password be reset for the following user account:'] = 'Někdo se dožadoval aby bylo heslo resetováno pro tento uživatelský účet:';
+$lang['Username "%s" on gallery %s'] = 'Uživatel "%s" na galerii %s';
+$lang['To reset your password, visit the following address:'] = 'Pro obnovu hesla, navštivte tento odkaz:';
+$lang['If this was a mistake, just ignore this email and nothing will happen.'] = 'Pokud jste si obnovu hesla nevyžádal, jedná se o chybu a tento email prostě ignorujte, nic se nestane.';
+$lang['Password Reset'] = 'Reset hesla';
+$lang['Check your email for the confirmation link'] = 'Zkontrolujte si email jestli už dorazil potvrzovací odkaz';
+$lang['Invalid key'] = 'Neplatný klíč';
+$lang['The passwords do not match'] = 'Hesla se neshodují';
+$lang['Your password has been reset'] = 'Vaše heslo bylo resetováno';
+$lang['Return to home page'] = 'Návrat na hlavní stránku';
+$lang['Please enter your username or email address.'] = 'Prosím, zadejte uživatelské jméno nebo emailovou adresu.';
+$lang['You will receive a link to create a new password via email.'] = 'Brzy obdržíte odkaz pro vytvoření nového hesla na váš e-mail.';
+$lang['Username or email'] = 'Uživatelské jméno nebo email';
+$lang['Change my password'] = 'Změnit heslo';
+$lang['Enter your new password below.'] = 'Zadejte vaše nové heslo níže.';
 ?>
Index: /trunk/language/cs_CZ/install.lang.php
===================================================================
--- /trunk/language/cs_CZ/install.lang.php	(revision 12072)
+++ /trunk/language/cs_CZ/install.lang.php	(revision 12073)
@@ -32,11 +32,8 @@
 $lang['Start Install'] = 'Spustit instalaci';
 $lang['mail address must be like xxx@yyy.eee (example : jack@altern.org)'] = 'e-mailová adresa musí mít formát xxx@yyy.eee (například : novak@mail.cz)';
-
 $lang['Webmaster login'] = 'Uživatelské jméno správce';
 $lang['It will be shown to the visitors. It is necessary for website administration'] = 'Bude zobrazen návštěvníkům. Je nutný pro administraci aplikace.';
-
 $lang['Connection to server succeed, but it was impossible to connect to database'] = 'Spojení na server se podařilo, ale nebylo možné připojit databázi';
 $lang['Can\'t connect to server'] = 'Nebylo možné se připojit k serveru';
-
 $lang['Host'] = 'MySQL server';
 $lang['localhost, sql.multimania.com, toto.freesurf.fr'] = 'localhost, sql.multimania.com, toto.freesurf.cz';
@@ -59,6 +56,4 @@
 $lang['Webmaster mail address'] = 'E-mail správce';
 $lang['Visitors will be able to contact site administrator with this mail'] = 'Návštěvníci mohou pomocí tohoto e-mailu správce kontaktovat';
-
-// missing translations 2.1.0
 $lang['Database type'] = 'Typ databáze';
 $lang['The type of database your piwigo data will be store in'] = 'Typ databáze Vaší Piwigo databáze bude uložen';
@@ -79,3 +74,5 @@
 $lang['SQLite and PostgreSQL are currently in experimental state.'] = 'SQLite a PostgreSQL se aktuálně teprve testují.';
 $lang['Learn more'] = 'Zjistit více';
+$lang['Just another Piwigo gallery'] = 'Jen další galerie Piwigo';
+$lang['Welcome to my photo gallery'] = 'Vítejte na mé fotogalerii';
 ?>