Index: /extensions/set_plugins/include/affiche.php
===================================================================
--- /extensions/set_plugins/include/affiche.php	(revision 12080)
+++ /extensions/set_plugins/include/affiche.php	(revision 12081)
@@ -34,5 +34,5 @@
   switch($_POST['submit']){
            case l10n('save_file'):
-              set_plugins::save_to_file($liste_des_plugins_activés);
+              set_plugins::save_to_file($liste_des_plugins_actifs);
               break;
             case l10n('restore'):
@@ -68,6 +68,6 @@
 $liste_mem=$liste;
 
-if (isset($liste_des_plugins_activés))
-foreach($liste_des_plugins_activés as $plugin_id) {  
+if (isset($liste_des_plugins_actifs))
+foreach($liste_des_plugins_actifs as $plugin_id) {  
 if(!array_search($plugin_id, $liste)){ 
   array_push($liste,  $plugin_id );
@@ -79,5 +79,5 @@
 }
 
-//$infos_message .= "liste_des_plugins_activés".set_plugins::memo_var($liste_des_plugins_activés); 
+//$infos_message .= "liste_des_plugins_actifs".set_plugins::memo_var($liste_des_plugins_actifs); 
 //$infos_message .= "liste".set_plugins::memo_var($liste_mem); 
 
Index: /extensions/set_plugins/js/field_set.js
===================================================================
--- /extensions/set_plugins/js/field_set.js	(revision 12080)
+++ /extensions/set_plugins/js/field_set.js	(revision 12081)
@@ -24,5 +24,5 @@
 
       if (data['liste_plugins'] != undefined)
-        liste_des_plugins_activés = data['liste_plugins'];
+        liste_des_plugins_actifs = data['liste_plugins'];
       if (data['config']['liste_visible'])
         jQuery("#liste_visible").val(data['config']['liste_visible']);
@@ -47,5 +47,5 @@
   }
   var h_min = 0;
-  var liste_des_plugins_activés = new Array();
+  var liste_des_plugins_actifs = new Array();
 
   jQuery(window).load(function (event) {
@@ -79,67 +79,71 @@
       h_min = 0;
       jQuery("fieldset").each(function (i) {
-          id0 = jQuery(this).attr("id");
-          if (id0 == "" || typeof id0 == "undefined") 
-            jQuery(this).attr("id", "fieldset_" + i);
-          jQuery(this).attr("rel", i);
-
-          if (!jQuery(this).hasClass("field_set"))
-            jQuery(this).addClass("field_set");
+        id0 = jQuery(this).attr("id");
+        if (id0 == "" || typeof id0 == "undefined")
+          jQuery(this).attr("id", "fieldset_" + i);
+        id0 = jQuery(this).attr("id");
+        jQuery(this).attr("rel", i);
+        jQuery("#"+id0+' div').wrapAll('<div id="'+ "div"+ id0 +'" class="new" />');
+
+        if (!jQuery(this).hasClass("field_set"))
+          jQuery(this).addClass("field_set");
         if (liste_visible[i] == "off") {
           liste_visible[i] = "off";
-            jQuery(this).height(h_min + 0);
-
-            jQuery("#" + this.id + ' legend').prepend(
+          jQuery(this).height(h_min + 0);
+        if(i==0) jQuery("#form_set_plugins").css({ display: "none" });
+          jQuery("#div" + id0).css({ display: "none" });
+           
+          jQuery("#" + this.id + ' legend').prepend(
             '<img alt = "" title = ""' + 'src = "' + plus_path + '"' + '>&nbsp;'
         );
-          } else {
+        } else {
           liste_visible[i] = "on";
-            jQuery(this).addClass("visible");
-            jQuery("#" + this.id + ' legend').prepend(
+          jQuery(this).addClass("visible");
+          jQuery("#" + this.id + ' legend').prepend(
           '<img alt = "" title = ""' +
           'src = "' + minus_path + '"' + '>&nbsp;'
         );
+        }
+
+        jQuery("#" + this.id + ' legend').css('cursor', 'pointer');
+        id0 = jQuery(this).attr("id");
+        jQuery("#" + id0 + ' legend').click(function (event) {
+
+          n = jQuery(this).parent().hasClass("visible");
+          i = jQuery(jQuery(this).parent()).attr("rel");
+
+          if (typeof liste_visible == "undefined") {
+            liste_visible = "on,on,on,on";
+            jQuery("input[name=list_visible]").val(liste_visible);
           }
-
-          jQuery("#" + this.id + ' legend').css('cursor', 'pointer');
-        id0 = jQuery(this).attr("id");
-
-
-          jQuery("#" + id0 + ' legend').click(function (event) {
-
-            n = jQuery(this).parent().hasClass("visible");
-          i = jQuery(jQuery(this).parent()).attr("rel");
-
-            if (typeof liste_visible == "undefined") {
-              liste_visible = "on,on,on,on";
-              jQuery("input[name=list_visible]").val(liste_visible);
-            }
           liste_visible = jQuery("input[name=list_visible]").val().split(",");
-            // src = jQuery(this).find("img").attr("src");
-            if (n) {
-              jQuery(this).parent().height(h_min + 0);
-              jQuery(this).parent().removeClass("visible");
+          // src = jQuery(this).find("img").attr("src");
+          if (n) {
+    
+
+            jQuery(this).parent().removeClass("visible");
             liste_visible[i] = "off";
-              jQuery(this).find("img").attr({
-                src: plus_path
-
-              });
+            jQuery(this).find("img").attr({
+              src: plus_path
+
+            });
           } else {
-              jQuery(this).parent().css("height", "auto");
-              jQuery(this).parent().addClass("visible");
+            jQuery(this).parent().css({ height: "auto" });
+
+            jQuery(this).parent().addClass("visible");
             liste_visible[i] = "on";
-              jQuery(this).find("img").attr({
-                src: minus_path
-
-              });
-            }
+            jQuery(this).find("img").attr({
+              src: minus_path
+
+            });
+          }
           val = liste_visible.join(",");
-            jQuery("input[name=list_visible]").val(val);
-            jQuery('#set').val("true");
+          jQuery("input[name=list_visible]").val(val);
+          jQuery('#set').val("true");
           jQuery("#set").click();
 
 
         }); // click
-        }); //each fieldset 
+      }); //each fieldset 
       //==========================================================
 
@@ -150,5 +154,5 @@
     //====================================================================
     jQuery(".plugin_list").each(function (i) {
-      liste_des_plugins_activés.push(jQuery(this).attr('id'));
+      liste_des_plugins_actifs.push(jQuery(this).attr('id'));
     });
 
@@ -163,5 +167,5 @@
                 'src = "./plugins/set_plugins/js/icon/ajax-loader-bar.gif"' + '>'
               );
-            send_val({liste_visible:liste_visible,
+            send_val({ liste_visible: liste_visible,
               set: "true"
 
@@ -182,10 +186,10 @@
         action = query.action;
         val = liste_visible.join(",");
-        val2 = liste_des_plugins_activés.join(",");
-        send_val({ 
-          liste_des_plugins_activés: liste_des_plugins_activés,
-            add_plugins: query.plugin,
-            set: "true",
-            action: query.action
+        val2 = liste_des_plugins_actifs.join(",");
+        send_val({
+          liste_des_plugins_actifs: liste_des_plugins_actifs,
+          add_plugins: query.plugin,
+          set: "true",
+          action: query.action
         });
 
@@ -197,3 +201,3 @@
     });
   }); // load
-});  //ready
+});      //ready
Index: /extensions/set_plugins/set_plugins_class.php
===================================================================
--- /extensions/set_plugins/set_plugins_class.php	(revision 12080)
+++ /extensions/set_plugins/set_plugins_class.php	(revision 12081)
@@ -15,5 +15,5 @@
   //============================================================================
   function begin_admin() {
-    global $erreur_message,$liste_des_plugins_activés,$liste_active_plugins,$page;  
+    global $erreur_message,$liste_des_plugins_actifs,$liste_active_plugins,$page;  
       //========= Liste des plugins actifs =================
 if (!isset($page['body_id'])) return;
@@ -22,16 +22,16 @@
       $plugins = new plugins();
       $plugins->sort_fs_plugins('name');
-      $liste_des_plugins_activés = array();
+      $liste_des_plugins_actifs = array();
   foreach ($plugins->fs_plugins as $plugin_id => $fs_plugin){
       if(isset( $plugins->db_plugins_by_id[$plugin_id])){
         $State_id=$plugins->db_plugins_by_id[$plugin_id]['state'] ;
         if($State_id=="active" && $plugin_id!="set_plugins")
-            array_push($liste_des_plugins_activés,$plugin_id);
+            array_push($liste_des_plugins_actifs,$plugin_id);
   }
       }   //foreach
       if (isset($_GET['set'])){  
         $ret['config']=$_GET;
-        $ret['liste_plugins']=$liste_des_plugins_activés;
-        //  array_push($ret,$liste_des_plugins_activés);
+        $ret['liste_plugins']=$liste_des_plugins_actifs;
+        //  array_push($ret,$liste_des_plugins_actifs);
         if($_GET['config']['liste_visible'])
              set_plugins::save_config();
@@ -40,5 +40,5 @@
    exit;
 }
-      $liste_active_plugins=$liste_des_plugins_activés;
+      $liste_active_plugins=$liste_des_plugins_actifs;
    }
   }
@@ -46,5 +46,5 @@
   function set_plugins_add() {
     global $user, $template, $val,$page,$conf,$erreur_message,$infos_message;
-    global $liste_des_plugins_activés,$liste_active_plugins;
+    global $liste_des_plugins_actifs,$liste_active_plugins;
     if (!isset($page['body_id'])) return;
 
@@ -138,5 +138,5 @@
   //===================================================================
 function Affiche_set_plugins(){
-global $infos_message,$liste_des_plugins_activés,$erreur_message ;
+global $infos_message,$liste_des_plugins_actifs,$erreur_message ;
 
   include_once(SET_PLUGINS_PATH."include/constants.php");