Index: /trunk/language/ar_SA/admin.lang.php
===================================================================
--- /trunk/language/ar_SA/admin.lang.php	(revision 12104)
+++ /trunk/language/ar_SA/admin.lang.php	(revision 12105)
@@ -784,3 +784,4 @@
 $lang['Type in a search term'] = 'اكتب كلمات البحث';
 $lang['display'] = 'عرض';
+$lang['Learn more'] = 'تعلم أكثر';
 ?>
Index: /trunk/language/ar_SA/install.lang.php
===================================================================
--- /trunk/language/ar_SA/install.lang.php	(revision 12104)
+++ /trunk/language/ar_SA/install.lang.php	(revision 12105)
@@ -67,5 +67,4 @@
 $lang['Download the config file'] = 'تحميل ملف التكوين';
 $lang['You can download the config file and upload it to local/config directory of your installation.'] = 'يمكنك تحميل ملف التكوين وتحميله إلى الدليل المحلي';
-$lang['Learn more'] = 'تعلم أكثر';
 
 ?>
Index: /trunk/language/ca_ES/admin.lang.php
===================================================================
--- /trunk/language/ca_ES/admin.lang.php	(revision 12104)
+++ /trunk/language/ca_ES/admin.lang.php	(revision 12105)
@@ -800,4 +800,4 @@
 $lang['ERROR: THIS PLUGIN IS MISSING BUT IT IS INSTALLED! UNINSTALL IT NOW.'] = 'ERROR: AQUEST CONNECTOR MANCA PERÒ ESTÀ INSTAL·LAT! DESISNTAL·LAR-LO ARA.';
 $lang['display'] = 'visualitzar';
-
+$lang['Learn more'] = 'Apreneu-ne més';
 ?>
Index: /trunk/language/ca_ES/install.lang.php
===================================================================
--- /trunk/language/ca_ES/install.lang.php	(revision 12104)
+++ /trunk/language/ca_ES/install.lang.php	(revision 12105)
@@ -69,4 +69,3 @@
 $lang['Download the config file'] = 'Descarregueu el fitxer de configuració';
 $lang['You can download the config file and upload it to local/config directory of your installation.'] = 'Podeu descarregar el fitxer de configuració i penjar-lo al directori local/config de la vostra instal·lació.';
-$lang['Learn more'] = 'Apreneu-ne més';
 ?>
Index: /trunk/language/cs_CZ/admin.lang.php
===================================================================
--- /trunk/language/cs_CZ/admin.lang.php	(revision 12104)
+++ /trunk/language/cs_CZ/admin.lang.php	(revision 12105)
@@ -842,4 +842,4 @@
 $lang['You can\'t define a default photo order because you have a custom setting in your local configuration.'] = 'Nemužete definovat výchozí pořadí fotografií, protože máte nadefinováno vlastní nastavení v konfiguraci';
 $lang['You have specified <i>$conf[\'order_by\']</i> in your local configuration file, this parameter in deprecated, please remove it or rename it into <i>$conf[\'order_by_custom\']</i> !'] = 'Specifikovali jste <i>$conf[\'order_by\']</i> v konfiguračním souboru, tento parametr je zastaralý, prosím odstraňte ho nebo přejmenujte na <i>$conf[\'order_by_custom\']</i> !';
-
+$lang['Learn more'] = 'Zjistit více';
 ?>
Index: /trunk/language/cs_CZ/install.lang.php
===================================================================
--- /trunk/language/cs_CZ/install.lang.php	(revision 12104)
+++ /trunk/language/cs_CZ/install.lang.php	(revision 12105)
@@ -70,5 +70,4 @@
 $lang['Download the config file'] = 'Stáhnout konfigurační soubor';
 $lang['You can download the config file and upload it to local/config directory of your installation.'] = 'Můžete stáhnout konfigurační soubor a nahrát jej do adrešáře local/config Vaší instalace.';
-$lang['Learn more'] = 'Zjistit více';
 $lang['Just another Piwigo gallery'] = 'Jen další galerie Piwigo';
 $lang['Welcome to my photo gallery'] = 'Vítejte na mé fotogalerii';
Index: /trunk/language/da_DK/admin.lang.php
===================================================================
--- /trunk/language/da_DK/admin.lang.php	(revision 12104)
+++ /trunk/language/da_DK/admin.lang.php	(revision 12105)
@@ -731,3 +731,4 @@
 $lang['Set creation date'] = 'Vælg oprettelsesdato';
 $lang['Set title'] = 'Vælg titel';
+$lang['Learn more'] = 'Lær mere';
 ?>
Index: /trunk/language/da_DK/install.lang.php
===================================================================
--- /trunk/language/da_DK/install.lang.php	(revision 12104)
+++ /trunk/language/da_DK/install.lang.php	(revision 12105)
@@ -69,4 +69,3 @@
 $lang['Download the config file'] = 'Download config filen';
 $lang['You can download the config file and upload it to local/config directory of your installation.'] = 'Du kan downloade config filen og uploade den til local/config i din installation.';
-$lang['Learn more'] = 'Lær mere';
 ?>
Index: /trunk/language/de_DE/admin.lang.php
===================================================================
--- /trunk/language/de_DE/admin.lang.php	(revision 12104)
+++ /trunk/language/de_DE/admin.lang.php	(revision 12105)
@@ -840,4 +840,4 @@
 $lang['Average rate'] = 'Durchschnittliche Bewertung';
 $lang['Rate'] = 'Bewertung';
-
+$lang['Learn more'] = 'Mehr Informationen';
 ?>
Index: /trunk/language/de_DE/install.lang.php
===================================================================
--- /trunk/language/de_DE/install.lang.php	(revision 12104)
+++ /trunk/language/de_DE/install.lang.php	(revision 12105)
@@ -73,4 +73,3 @@
 $lang['Download the config file'] = 'Lade die Konfigurationsdatei herunter';
 $lang['You can download the config file and upload it to local/config directory of your installation.'] = 'SIe können die Konfigurationsdatei herunterladen und in den Ordner local/config ihrer Installation hochladen.';
-$lang['Learn more'] = 'Mehr Informationen';
 ?>
Index: /trunk/language/en_UK/install.lang.php
===================================================================
--- /trunk/language/en_UK/install.lang.php	(revision 12104)
+++ /trunk/language/en_UK/install.lang.php	(revision 12105)
@@ -69,5 +69,4 @@
 $lang['Download the config file'] = 'Download the config file';
 $lang['You can download the config file and upload it to local/config directory of your installation.'] = 'You can download the config file and upload it to local/config directory of your installation.';
-$lang['Learn more'] = 'Learn more';
 $lang['Just another Piwigo gallery'] = 'Just another Piwigo gallery';
 $lang['Welcome to my photo gallery'] = 'Welcome to my photo gallery';
Index: /trunk/language/es_ES/admin.lang.php
===================================================================
--- /trunk/language/es_ES/admin.lang.php	(revision 12104)
+++ /trunk/language/es_ES/admin.lang.php	(revision 12105)
@@ -836,4 +836,4 @@
 $lang['Graphics Library'] = 'librería gráfica';
 
-
+$lang['Learn more'] = 'Más información';
 ?>
Index: /trunk/language/es_ES/install.lang.php
===================================================================
--- /trunk/language/es_ES/install.lang.php	(revision 12104)
+++ /trunk/language/es_ES/install.lang.php	(revision 12105)
@@ -74,4 +74,3 @@
 $lang['Download the config file'] = 'Descargar el fichero de configuración';
 $lang['You can download the config file and upload it to local/config directory of your installation.'] = 'Usted puede descargar el fichero de configuración y carga en el repertorio local/config de su instalación Piwigo.';
-$lang['Learn more'] = 'Más información';
 ?>
Index: /trunk/language/fa_IR/admin.lang.php
===================================================================
--- /trunk/language/fa_IR/admin.lang.php	(revision 12104)
+++ /trunk/language/fa_IR/admin.lang.php	(revision 12105)
@@ -786,3 +786,4 @@
 $lang['ERROR: THIS PLUGIN IS MISSING BUT IT IS INSTALLED! UNINSTALL IT NOW.'] = 'خطا : این پلاگین گم شده است اما آن نصب شده است! اکنون از نصب خارجش کنید.';
 $lang['display'] = 'نمایش';
+$lang['Learn more'] = 'اطلاعات بيشتر در اين‌باره';
 ?>
Index: /trunk/language/fa_IR/install.lang.php
===================================================================
--- /trunk/language/fa_IR/install.lang.php	(revision 12104)
+++ /trunk/language/fa_IR/install.lang.php	(revision 12105)
@@ -69,4 +69,3 @@
 $lang['Download the config file'] = 'دريافت فايل پيکربندي';
 $lang['You can download the config file and upload it to local/config directory of your installation.'] = 'شما مي‌توانيد فايل پيکربندي را دانلود کنيد و آن را در دايرکتوري local/config در محلي که گالري را نصب کرديد آپلود کنيد.';
-$lang['Learn more'] = 'اطلاعات بيشتر در اين‌باره';
 ?>
Index: /trunk/language/fr_CA/admin.lang.php
===================================================================
--- /trunk/language/fr_CA/admin.lang.php	(revision 12104)
+++ /trunk/language/fr_CA/admin.lang.php	(revision 12105)
@@ -795,3 +795,4 @@
 $lang['Restore default configuration. You will lose your plugin settings!'] = "Restaurer la configuration par défaut? Vous perdrez vos réglages personnels !";
 $lang['Show menubar'] = "Afficher le menu";
+$lang['Learn more'] = 'En savoir plus';
 ?>
Index: /trunk/language/fr_CA/install.lang.php
===================================================================
--- /trunk/language/fr_CA/install.lang.php	(revision 12104)
+++ /trunk/language/fr_CA/install.lang.php	(revision 12105)
@@ -70,4 +70,3 @@
 $lang['Download the config file'] = 'Télécharger le fichier de configuration';
 $lang['You can download the config file and upload it to local/config directory of your installation.'] = 'Vous pouvez télécharger le fichier de configuration et le transférer dans le répertoire local/config de votre installation Piwigo.';
-$lang['Learn more'] = 'En savoir plus';
 ?>
Index: /trunk/language/fr_FR/admin.lang.php
===================================================================
--- /trunk/language/fr_FR/admin.lang.php	(revision 12104)
+++ /trunk/language/fr_FR/admin.lang.php	(revision 12105)
@@ -869,3 +869,4 @@
 $lang['Average rate'] = 'Note moyenne';
 $lang['Rate'] = 'Note';
+$lang['Learn more'] = 'En savoir plus';
 ?>
Index: /trunk/language/fr_FR/install.lang.php
===================================================================
--- /trunk/language/fr_FR/install.lang.php	(revision 12104)
+++ /trunk/language/fr_FR/install.lang.php	(revision 12105)
@@ -70,5 +70,4 @@
 $lang['Download the config file'] = 'Télécharger le fichier de configuration';
 $lang['You can download the config file and upload it to local/config directory of your installation.'] = 'Vous pouvez télécharger le fichier de configuration et le transférer dans le répertoire local/config de votre installation Piwigo.';
-$lang['Learn more'] = 'En savoir plus';
 $lang['Just another Piwigo gallery'] = 'Une galerie Piwigo de plus';
 $lang['Welcome to my photo gallery'] = 'Bienvenue sur ma galerie photo';
Index: /trunk/language/he_IL/admin.lang.php
===================================================================
--- /trunk/language/he_IL/admin.lang.php	(revision 12104)
+++ /trunk/language/he_IL/admin.lang.php	(revision 12105)
@@ -832,3 +832,4 @@
 $lang['This is a major update, with <a href="%s">new exciting features</a>.'] = 'עדכון חשוב, עם <a href="%s">מאפיינים חדשים ומלהיבים</a>.';
 $lang['Some themes and plugins may be not available yet.'] = 'יכול להיות שחלק מההתקנים וערכות הנושא לא זמינים עדיין .';
+$lang['Learn more'] = 'למד עוד';
 ?>
Index: /trunk/language/he_IL/install.lang.php
===================================================================
--- /trunk/language/he_IL/install.lang.php	(revision 12104)
+++ /trunk/language/he_IL/install.lang.php	(revision 12105)
@@ -69,4 +69,3 @@
 $lang['Download the config file'] = 'הורד את קובץ config';
 $lang['You can download the config file and upload it to local/config directory of your installation.'] = 'אתה יכול להוריד את קובץ config ולהעלות אותו אל local/config בתיקיית ההתקנה שלך.';
-$lang['Learn more'] = 'למד עוד';
 ?>
Index: /trunk/language/hu_HU/admin.lang.php
===================================================================
--- /trunk/language/hu_HU/admin.lang.php	(revision 12104)
+++ /trunk/language/hu_HU/admin.lang.php	(revision 12105)
@@ -860,4 +860,3 @@
 $lang['Tags <em>%s</em> merged into tag <em>%s</em>'] = '<em>%s</em> címke (címkék) összevonva a(z) <em>%s</em> címkével';
 $lang['Select at least two tags for merging'] = 'Válasszon ki legalább két címkét';
-$lang['Learn more'] = 'Részletek';
 ?>
Index: /trunk/language/hu_HU/install.lang.php
===================================================================
--- /trunk/language/hu_HU/install.lang.php	(revision 12104)
+++ /trunk/language/hu_HU/install.lang.php	(revision 12105)
@@ -69,5 +69,4 @@
 $lang['Download the config file'] = 'Konfigurációs fájl letöltése';
 $lang['You can download the config file and upload it to local/config directory of your installation.'] = 'Letöltheti a konfigurációs fájlt és töltse fel a telepítésének local/config könyvtárába.';
-$lang['Learn more'] = 'Bővebben';
 $lang['Just another Piwigo gallery'] = 'Csak egy újabb Piwigo galéria';
 $lang['Welcome to my photo gallery'] = 'Üdvözöljük a képgalériában';
Index: /trunk/language/it_IT/admin.lang.php
===================================================================
--- /trunk/language/it_IT/admin.lang.php	(revision 12104)
+++ /trunk/language/it_IT/admin.lang.php	(revision 12105)
@@ -869,3 +869,4 @@
 $lang['Average rate'] = 'Voto medio';
 $lang['Rate'] = 'Voto';
+$lang['Learn more'] = 'Per saperne di più';
 ?>
Index: /trunk/language/it_IT/install.lang.php
===================================================================
--- /trunk/language/it_IT/install.lang.php	(revision 12104)
+++ /trunk/language/it_IT/install.lang.php	(revision 12105)
@@ -70,5 +70,4 @@
 $lang['Download the config file'] = 'Scaricare il file di configurazione';
 $lang['You can download the config file and upload it to local/config directory of your installation.'] = 'È possibile scaricare il file di configurazione e caricarlo in local/config della vostra installazione di Piwigo.';
-$lang['Learn more'] = 'Per saperne di più';
 $lang['Just another Piwigo gallery'] = 'Una galleria Piwigo in più ';
 $lang['Welcome to my photo gallery'] = 'Benvenuti nella mia galleria fotografica';
Index: /trunk/language/ja_JP/admin.lang.php
===================================================================
--- /trunk/language/ja_JP/admin.lang.php	(revision 12104)
+++ /trunk/language/ja_JP/admin.lang.php	(revision 12105)
@@ -733,3 +733,4 @@
 $lang['Average rate'] = '平均評価';
 $lang['Rate'] = '評価';
+$lang['Learn more'] = '詳細はこちら';
 ?>
Index: /trunk/language/ja_JP/install.lang.php
===================================================================
--- /trunk/language/ja_JP/install.lang.php	(revision 12104)
+++ /trunk/language/ja_JP/install.lang.php	(revision 12105)
@@ -70,4 +70,3 @@
 $lang['Download the config file'] = 'config ファイルをダウンロードします。';
 $lang['You can download the config file and upload it to local/config directory of your installation.'] = 'config ファイルをダウンロードし、インストールされた local/config ディレクトリーにアップロードすることができます。';
-$lang['Learn more'] = '詳細はこちら';
 ?>
Index: /trunk/language/ka_GE/admin.lang.php
===================================================================
--- /trunk/language/ka_GE/admin.lang.php	(revision 12104)
+++ /trunk/language/ka_GE/admin.lang.php	(revision 12105)
@@ -795,4 +795,4 @@
 $lang['Searching...'] = 'ძიება...';
 $lang['Type in a search term'] = 'ჩაწერეთ მოსაძებნი სიტყვა';
-
+$lang['Learn more'] = 'გავიგოთ მეტი';
 ?>
Index: /trunk/language/ka_GE/install.lang.php
===================================================================
--- /trunk/language/ka_GE/install.lang.php	(revision 12104)
+++ /trunk/language/ka_GE/install.lang.php	(revision 12105)
@@ -71,4 +71,3 @@
 $lang['Download the config file'] = 'ავტვირთოთ კონფიგურაციის ფაილი';
 $lang['You can download the config file and upload it to local/config directory of your installation.'] = 'თქვენ შეგიძლიათ ატვირთოთ კონფიგურაციის ფაილი და გადასცეთ იგი local/config directory ში.';
-$lang['Learn more'] = 'გავიგოთ მეტი';
 ?>
Index: /trunk/language/lv_LV/admin.lang.php
===================================================================
--- /trunk/language/lv_LV/admin.lang.php	(revision 12104)
+++ /trunk/language/lv_LV/admin.lang.php	(revision 12105)
@@ -831,3 +831,4 @@
 $lang['Average rate'] = "Vidējais novērtejums";
 $lang['Rate'] = "Vērtējums";
+$lang['Learn more'] = 'Uzzini vairak';
 ?>
Index: /trunk/language/lv_LV/install.lang.php
===================================================================
--- /trunk/language/lv_LV/install.lang.php	(revision 12104)
+++ /trunk/language/lv_LV/install.lang.php	(revision 12105)
@@ -67,4 +67,3 @@
 $lang['Download the config file'] = 'Lejupladet config failu';
 $lang['You can download the config file and upload it to local/config directory of your installation.'] = 'Jums jalejupielade configuracijas fails un jaielade tas Jusu instalacijas local/config mape.';
-$lang['Learn more'] = 'Uzzini vairak';
 ?>
Index: /trunk/language/nl_NL/admin.lang.php
===================================================================
--- /trunk/language/nl_NL/admin.lang.php	(revision 12104)
+++ /trunk/language/nl_NL/admin.lang.php	(revision 12105)
@@ -840,4 +840,4 @@
 $lang['Average rate'] = 'Gemiddelde waardering';
 $lang['Rate'] = 'Waardering';
-
+$lang['Learn more'] = 'Leer meer';
 ?>
Index: /trunk/language/nl_NL/install.lang.php
===================================================================
--- /trunk/language/nl_NL/install.lang.php	(revision 12104)
+++ /trunk/language/nl_NL/install.lang.php	(revision 12105)
@@ -71,4 +71,3 @@
 $lang['You can download the config file and upload it to local/config directory of your installation.'] = 'U kunt het config-bestand downloaden en het uploaden naar de local/config directory van uw Piwigo-installatie.';
 'SQLite en PostgreSQL zijn momenteel nog in een experimenteel stadium.';
-$lang['Learn more'] = 'Leer meer';
 ?>
Index: /trunk/language/no_NO/admin.lang.php
===================================================================
--- /trunk/language/no_NO/admin.lang.php	(revision 12104)
+++ /trunk/language/no_NO/admin.lang.php	(revision 12105)
@@ -767,4 +767,4 @@
 $lang['Visit language site'] = 'Besøk språk side'; 
 $lang['New Version'] = 'Ny versjon';
-
+$lang['Learn more'] = 'Lær mer';
 ?>
Index: /trunk/language/no_NO/install.lang.php
===================================================================
--- /trunk/language/no_NO/install.lang.php	(revision 12104)
+++ /trunk/language/no_NO/install.lang.php	(revision 12105)
@@ -67,5 +67,4 @@
 $lang['Download the config file'] = 'Last ned konfig fil';
 $lang['You can download the config file and upload it to local/config directory of your installation.'] = 'Du kan laste ned konfig filen og laste den opp til local/config mappen i din installasjon.';
-$lang['Learn more'] = 'Lær mer';
 
 ?>
Index: /trunk/language/pl_PL/admin.lang.php
===================================================================
--- /trunk/language/pl_PL/admin.lang.php	(revision 12104)
+++ /trunk/language/pl_PL/admin.lang.php	(revision 12105)
@@ -810,3 +810,4 @@
 $lang['Rate'] = 'Ocena';
 $lang['Average rate'] = 'Średnia ocena';
+$lang['Learn more'] = 'Dowiedz się więcej';
 ?>
Index: /trunk/language/pl_PL/install.lang.php
===================================================================
--- /trunk/language/pl_PL/install.lang.php	(revision 12104)
+++ /trunk/language/pl_PL/install.lang.php	(revision 12105)
@@ -72,4 +72,3 @@
 $lang['Download the config file'] = 'Pobierz plik konfiguracyjny';
 $lang['You can download the config file and upload it to local/config directory of your installation.'] = 'Możesz pobrać plik konfiguracyjny i wgrać go do katalogu lokalnego/z konfiguracją.';
-$lang['Learn more'] = 'Dowiedz się więcej';
 ?>
Index: /trunk/language/pt_PT/admin.lang.php
===================================================================
--- /trunk/language/pt_PT/admin.lang.php	(revision 12104)
+++ /trunk/language/pt_PT/admin.lang.php	(revision 12105)
@@ -783,4 +783,4 @@
 $lang['Searching...'] = 'Procurando...';
 $lang['Type in a search term'] = 'Escreva um termo de busca';
-
+$lang['Learn more'] = 'Saber mais';
 ?>
Index: /trunk/language/pt_PT/install.lang.php
===================================================================
--- /trunk/language/pt_PT/install.lang.php	(revision 12104)
+++ /trunk/language/pt_PT/install.lang.php	(revision 12105)
@@ -72,4 +72,3 @@
 $lang['Download the config file'] = 'Guardar ficheiro de configuração';
 $lang['You can download the config file and upload it to local/config directory of your installation.'] = 'Pode guardar o ficheiro de configuração no seu computador e de seguida enviá-lo para a pasta /local/config da sua instalação.';
-$lang['Learn more'] = 'Saber mais';
 ?>
Index: /trunk/language/ru_RU/admin.lang.php
===================================================================
--- /trunk/language/ru_RU/admin.lang.php	(revision 12104)
+++ /trunk/language/ru_RU/admin.lang.php	(revision 12105)
@@ -836,3 +836,4 @@
 $lang['You can\'t define a default photo order because you have a custom setting in your local configuration.'] = 'Вы не можете определить порядок сортировки фотографий по умолчанию, так как он переопределен в локальных настройках.';
 $lang['You have specified <i>$conf[\'order_by\']</i> in your local configuration file, this parameter in deprecated, please remove it or rename it into <i>$conf[\'order_by_custom\']</i> !'] = 'Вы использовали <i>$conf[\'order_by\']</i> в качестве порядка сортировки в локальном файле конфигурации. Этот параметр не рекомендуется для использования. Пожалуйста, удалите его или переименуйте в <i>$conf[\'order_by_custom\']</i> !';
+$lang['Learn more'] = 'Узнать больше';
 ?>
Index: /trunk/language/ru_RU/install.lang.php
===================================================================
--- /trunk/language/ru_RU/install.lang.php	(revision 12104)
+++ /trunk/language/ru_RU/install.lang.php	(revision 12105)
@@ -67,4 +67,3 @@
 $lang['Download the config file'] = 'Загрузить файл конфигурации';
 $lang['You can download the config file and upload it to local/config directory of your installation.'] = 'Вы можете загрузить файл конфигурации и передать его в local/config directory.';
-$lang['Learn more'] = 'Узнать больше';
 ?>
Index: /trunk/language/sk_SK/admin.lang.php
===================================================================
--- /trunk/language/sk_SK/admin.lang.php	(revision 12104)
+++ /trunk/language/sk_SK/admin.lang.php	(revision 12105)
@@ -841,4 +841,4 @@
 $lang['You can\'t define a default photo order because you have a custom setting in your local configuration.'] = 'Nemožno definovať prednastavené zoradenie fotiek, pretože ho máte inak nastavené lokálnej konfigurácii.';
 $lang['You have specified <i>$conf[\'order_by\']</i> in your local configuration file, this parameter in deprecated, please remove it or rename it into <i>$conf[\'order_by_custom\']</i> !'] = 'Máte špecifikované <i>$conf[\'order_by\']</i> vo Vašom lokálnom konfiguračnom súbore, tento parameter je neprípustný, prosím vymažte ho alebo premenujte v <i>$conf[\'order_by_custom\']</i> !';
-
+$lang['Learn more'] = 'Zistiť viac';
 ?>
Index: /trunk/language/sk_SK/install.lang.php
===================================================================
--- /trunk/language/sk_SK/install.lang.php	(revision 12104)
+++ /trunk/language/sk_SK/install.lang.php	(revision 12105)
@@ -75,4 +75,3 @@
 $lang['Download the config file'] = 'Stiahnuť konfiguračný súbor';
 $lang['You can download the config file and upload it to local/config directory of your installation.'] = 'Môžete stiahnuť konfiguračný súbor a nahrať ho do adresára local/config Vašej inštalácie.';
-$lang['Learn more'] = 'Zistiť viac';
 ?>
Index: /trunk/language/sr_RS/admin.lang.php
===================================================================
--- /trunk/language/sr_RS/admin.lang.php	(revision 12104)
+++ /trunk/language/sr_RS/admin.lang.php	(revision 12105)
@@ -836,4 +836,4 @@
 $lang['If you want to regenerate thumbnails, please go to the <a href="%s">Batch Manager</a>.'] = 'Ако желите да обновите сличице, молимо Вас да одете на следећу везу: <a href="%s">Управљач обраде</a>.';
 $lang['Graphics Library'] = 'Графичка библиотека';
-
+$lang['Learn more'] = 'Научите више';
 ?>
Index: /trunk/language/sr_RS/install.lang.php
===================================================================
--- /trunk/language/sr_RS/install.lang.php	(revision 12104)
+++ /trunk/language/sr_RS/install.lang.php	(revision 12105)
@@ -68,4 +68,3 @@
 $lang['Download the config file'] = 'Сними на рачунар конфигурациону датотеку';
 $lang['You can download the config file and upload it to local/config directory of your installation.'] = 'Можете снимити на рацунар конфигурациону датотеку и послати је на local/config директоријум Ваше инсталације.';
-$lang['Learn more'] = 'Научите више';
 ?>
Index: /trunk/language/sv_SE/admin.lang.php
===================================================================
--- /trunk/language/sv_SE/admin.lang.php	(revision 12104)
+++ /trunk/language/sv_SE/admin.lang.php	(revision 12105)
@@ -810,4 +810,4 @@
 $lang['Rate'] = 'Betygsätt';
 $lang['Average rate'] = 'Genomsnittligt betyg';
-
+$lang['Learn more'] = 'Läs mer';
 ?>
Index: /trunk/language/sv_SE/install.lang.php
===================================================================
--- /trunk/language/sv_SE/install.lang.php	(revision 12104)
+++ /trunk/language/sv_SE/install.lang.php	(revision 12105)
@@ -69,4 +69,3 @@
 $lang['Download the config file'] = 'Ladda ner konfigurations filen';
 $lang['You can download the config file and upload it to local/config directory of your installation.'] = 'Du kan ladda ner konfigurationsfilen och ladda upp den till local/config .';
-$lang['Learn more'] = 'Läs mer';
 ?>
Index: /trunk/language/tr_TR/admin.lang.php
===================================================================
--- /trunk/language/tr_TR/admin.lang.php	(revision 12104)
+++ /trunk/language/tr_TR/admin.lang.php	(revision 12105)
@@ -826,4 +826,4 @@
 $lang['Activate icon "new" next to albums and pictures'] = 'Resimlerin yanındaki "yeni" simgesini etkinleştir';
 $lang['Default photos order'] = 'Varsayılan resim düzeni';
-
+$lang['Learn more'] = 'Daha fazla bilgi edinin';
 ?>
Index: /trunk/language/tr_TR/install.lang.php
===================================================================
--- /trunk/language/tr_TR/install.lang.php	(revision 12104)
+++ /trunk/language/tr_TR/install.lang.php	(revision 12105)
@@ -69,4 +69,3 @@
 $lang['Download the config file'] = 'Yapılandırma dosyasını indir';
 $lang['You can download the config file and upload it to local/config directory of your installation.'] = 'Yapılandırma dosyasını indirip düzenleyebilir ve kurulum dizininde local/config bölümüne yükleyebilirsiniz.';
-$lang['Learn more'] = 'Daha fazla bilgi edinin';
 ?>
Index: /trunk/language/vi_VN/admin.lang.php
===================================================================
--- /trunk/language/vi_VN/admin.lang.php	(revision 12104)
+++ /trunk/language/vi_VN/admin.lang.php	(revision 12105)
@@ -847,3 +847,4 @@
 $lang['Approximate maximum resolution: %dM pixels (that\'s %dx%d pixels).'] = 'Độ phân giải lớn nhất ước chừng: %dM pixels (đó là %dx%d pixels).';
 $lang['Manage Permissions'] = 'Quản lý Quyền Hạn';
+$lang['Learn more'] = 'Tìm hiểu thêm';
 ?>
Index: /trunk/language/vi_VN/install.lang.php
===================================================================
--- /trunk/language/vi_VN/install.lang.php	(revision 12104)
+++ /trunk/language/vi_VN/install.lang.php	(revision 12105)
@@ -69,5 +69,4 @@
 $lang['Download the config file'] = 'Tải tệp tin cấu hình xuống';
 $lang['You can download the config file and upload it to local/config directory of your installation.'] = 'Bạn có thể tải tệp tin cấu hình và upload nó vào thư mục local/config của thư mục cài đặt Piwigo.';
-$lang['Learn more'] = 'Tìm hiểu thêm';
 $lang['Just another Piwigo gallery'] = 'Lại thêm một thư viện Piwigo nữa';
 $lang['Welcome to my photo gallery'] = 'Chào mừng bạn đến với thư viện hình của tôi';
Index: /trunk/language/zh_CN/admin.lang.php
===================================================================
--- /trunk/language/zh_CN/admin.lang.php	(revision 12104)
+++ /trunk/language/zh_CN/admin.lang.php	(revision 12105)
@@ -845,4 +845,4 @@
 $lang['Approximate maximum resolution: %dM pixels (that\'s %dx%d pixels).'] = '近乎最大的分辨率: %dM 像素 (that\'s %dx%d pixels).';
 $lang['Manage Permissions'] = '管理证书';
-
+$lang['Learn more'] = '了解更多';
 ?>
Index: /trunk/language/zh_CN/install.lang.php
===================================================================
--- /trunk/language/zh_CN/install.lang.php	(revision 12104)
+++ /trunk/language/zh_CN/install.lang.php	(revision 12105)
@@ -71,4 +71,3 @@
 $lang['Download the config file'] = '下载配置文件';
 $lang['You can download the config file and upload it to local/config directory of your installation.'] = '您可以下载配置文件，然后上传到 local/config 目录以完成您的安装.';
-$lang['Learn more'] = '了解更多';
 ?>
Index: /trunk/language/zh_TW/admin.lang.php
===================================================================
--- /trunk/language/zh_TW/admin.lang.php	(revision 12104)
+++ /trunk/language/zh_TW/admin.lang.php	(revision 12105)
@@ -783,4 +783,4 @@
 $lang['ERROR: THIS PLUGIN IS MISSING BUT IT IS INSTALLED! UNINSTALL IT NOW.'] = '錯誤：這個插件雖已安裝但並不存在! 請立即移除它!';
 $lang['display'] = '顯示'; 
-
+$lang['Learn more'] = '瞭解更多';
 ?>
Index: /trunk/language/zh_TW/install.lang.php
===================================================================
--- /trunk/language/zh_TW/install.lang.php	(revision 12104)
+++ /trunk/language/zh_TW/install.lang.php	(revision 12105)
@@ -71,4 +71,3 @@
 $lang['Download the config file'] = '下載配置文件';
 $lang['You can download the config file and upload it to local/config directory of your installation.'] = '您可以下載配置文件，然後上傳到 local/config 目錄以完成您的安裝.';
-$lang['Learn more'] = '瞭解更多';
 ?>