Index: /trunk/language/hu_HU/admin.lang.php
===================================================================
--- /trunk/language/hu_HU/admin.lang.php	(revision 12107)
+++ /trunk/language/hu_HU/admin.lang.php	(revision 12108)
@@ -235,5 +235,5 @@
 $lang['email'] = 'E-mail';
 $lang['User'] = 'Felhasználó';
-$lang['Complementary mail content'] = 'A levél részletes tartalma';
+$lang['Complementary mail content'] = 'Kiegészítő e-mail tartalom';
 $lang['See you soon,'] = 'Viszont látásra,';
 $lang['Go to'] = 'Ugrás ';
@@ -243,5 +243,5 @@
 $lang['between'] = 'között ';
 $lang['and'] = ' és ';
-$lang['The webmaster has subscribed you to receiving notifications by mail.'] = 'Ezt az E-mailt a webmester küldte (nem automatikusan generált) mert értesítést kapott az egyik albumból/galériából.".';
+$lang['The webmaster has subscribed you to receiving notifications by mail.'] = 'Ezt az e-mailt a webmester küldte (nem automatikusan generált) mert értesítést kapott az egyik albumból/galériából.".';
 $lang['You have subscribed to receiving notifications by mail.'] = 'Feliratkozott a bejelentések fogadására levélben.';
 $lang['To subscribe'] = 'Feliratkozáshoz';
@@ -249,5 +249,5 @@
 $lang['[NBM] Problems or questions'] = '[NBM] Problémák és kérdések';
 $lang['The webmaster has unsubscribed you from receiving notifications by mail.'] = 'A webmester a leiratkozást érvényesítette';
-$lang['You have unsubscribed from receiving notifications by mail.'] = 'Leiratkozott az E-mail értesítésről.';
+$lang['You have unsubscribed from receiving notifications by mail.'] = 'Leiratkozott az e-mail értesítésről.';
 $lang[', click on'] = ' kattintson erre a linkre:';
 $lang['To unsubscribe'] = 'Leiratkozáshoz';
@@ -679,8 +679,8 @@
 $lang['Allow rating'] = 'Értékelés engedélyezése';
 $lang['Select at least one comment'] = 'Legalább egy hozzászólást ki kell választani';
-$lang['Active Plugins'] = 'Bekapcsolt Bővítmények';
+$lang['Active Plugins'] = 'Bekapcsolt bővítmények';
 $lang['Inactive Plugins'] = 'Kikapcsolt Bővítmények';
-$lang['Missing Plugins'] = 'Hiányzó Bővítmények';
-$lang['Uninstalled Plugins'] = 'Törölt Bővítmények';
+$lang['Missing Plugins'] = 'Hiányzó bővítmények';
+$lang['Uninstalled Plugins'] = 'Törölt bővítmények';
 $lang['By %s'] = 'Szerző: %s';
 $lang['Visit plugin site'] = 'Ugrás a bővítmények weboldalra';
@@ -697,5 +697,5 @@
 $lang['The following tag was deleted'] = 'Címke törlése sikeres';
 $lang['Miscellaneous'] = 'Egyéb';
-$lang['Virtual Links'] = 'Virtuális Linkek';
+$lang['Virtual Links'] = 'Virtuális linkek';
 $lang['There is no other language available.'] = 'Egyéb nyelv nem áll rendelkezésre.';
 $lang['There is no other plugin available.'] = 'Egyéb bővítmény nem áll rendelkezésre.';
@@ -754,7 +754,7 @@
 $lang['Choose an action'] = 'Művelet kiválasztása';
 $lang['remove author'] = 'szerző törlése';
-$lang['Type here the author name'] = 'Írd be a szerző nevét';
+$lang['Type here the author name'] = 'Írja be a szerző nevét';
 $lang['remove title'] = 'cím törlése';
-$lang['Type here the title'] = 'Írd be a kép címét';
+$lang['Type here the title'] = 'Írja be a kép címét';
 $lang['remove creation date'] = 'készítés időpontjának törlése';
 $lang['with no album'] = 'albumhoz nem rendelt';
@@ -789,5 +789,5 @@
 $lang['No results'] = 'Nincs találat';
 $lang['Searching...'] = 'Keresés...';
-$lang['Type in a search term'] = 'Írd be a keresett kifejezést';
+$lang['Type in a search term'] = 'Írja be a keresett kifejezést';
 // missing translations
 $lang['Deactivate all'] = 'Összes kikapcsolása';
Index: /trunk/language/hu_HU/install.lang.php
===================================================================
--- /trunk/language/hu_HU/install.lang.php	(revision 12107)
+++ /trunk/language/hu_HU/install.lang.php	(revision 12108)
@@ -53,6 +53,6 @@
 $lang['verification'] = 'jelszó egyezőségének ellenőrzése';
 $lang['Need help ? Ask your question on <a href="%s">Piwigo message board</a>.'] = 'Segítségre van szüksége ? Kérdéseit itt teheti fel: <a href="%s">Piwigo üzenőfal</a>.';
-$lang['Webmaster mail address'] = 'Webmester email cím';
-$lang['Visitors will be able to contact site administrator with this mail'] = 'A látogatók ezen az email címen tudják felvenni a kapcsolatot az adminisztrátorral';
+$lang['Webmaster mail address'] = 'Webmester e-mail cím';
+$lang['Visitors will be able to contact site administrator with this mail'] = 'A látogatók ezen az e-mail címen tudják felvenni a kapcsolatot az adminisztrátorral';
 $lang['PHP 5 is required'] = 'PHP 5 szükséges';
 $lang['It appears your webhost is currently running PHP %s.'] = 'Úgy tűnik, a tárhelyszolgáltatójánál jelenleg futó PHP %s.';