Index: extensions/piclens/language/hu_HU/plugin.lang.php
===================================================================
--- extensions/piclens/language/hu_HU/plugin.lang.php	(revision 12090)
+++ extensions/piclens/language/hu_HU/plugin.lang.php	(revision 12109)
@@ -30,13 +30,13 @@
 $lang['piclens_admin_savefileWN']		= 'Meglévő konfigurációs fájl (%s) törölve';
 $lang['piclens_admin_restore']			= 'Paraméterek visszaállítása fájlból';
-$lang['piclens_admin_savefile']			= 'Paradéterek mentése fájlba';
+$lang['piclens_admin_savefile'] = 'Paraméterek mentése fájlba';
 
 $lang['piclens_cfg_title'] 				= 'Piclens : Beállítások';
 $lang['piclens_cfg_piclens_actived']	= 'Cooliris/Piclens bővítmény bekapcsolása';
 $lang['piclens_cfg_recursiv_actived']	= 'Rekurzió bekapcsolása az alkategóriákra';
-$lang['piclens_cfg_root_actived']		= 'Piclens bekapcsolása a teljes Galériára (Home galéria)';
+$lang['piclens_cfg_root_actived'] = 'Piclens bekapcsolása a teljes galériára (Home galéria)';
 $lang['piclens_cfg_lite_actived']		= 'PiclensLite bekapcsolása (Piclens navigator bővítmény nélkül)';
 
-$lang['piclens_cfg_otherplugins_title']	= 'Összeférhetőség a telepített bővítménnyekkel';
+$lang['piclens_cfg_otherplugins_title'] = 'Összeférhetőség a telepített bővítményekkel';
 $lang['piclens_cfg_plugins_actived']	= 'Összeférhetőség bekapcsolása a(z) <b><u><i>%s</i></u></b> bővítménnyel';
 $lang['piclens_label_plugins']			= '<b><u><i>%s</i></u> bővítmény telepítve </b>és <b>aktiválva</b>';
@@ -58,8 +58,8 @@
 $lang['piclens_recursive_standard']		= 'Standard';
 $lang['piclens_recursive_standard_title']= 'Standard eljárás';
-$lang['piclens_recursive_standard_detail']= 'Főoldal<br/>&nbsp;\- Kategória A<br/>&nbsp;\&nbsp;&nbsp;&nbsp;\- Alkategória AA<br/>&nbsp;\&nbsp;&nbsp;&nbsp;\&nbsp;&nbsp;&nbsp;\- képek_AAxx<br/>&nbsp;\&nbsp;&nbsp;&nbsp;\ <br/>&nbsp;\&nbsp;&nbsp;&nbsp;\- Alkategória AB<br/>&nbsp;\&nbsp;&nbsp;&nbsp;\&nbsp;&nbsp;&nbsp;\- képek_ABxx<br/>&nbsp;\<br/>&nbsp;\- Kategória B<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;\- Alkategória BA<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;\&nbsp;&nbsp;&nbsp;\- képek_BAxx<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;\<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;\- Alkategória BB<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;\- képek_BBxx<br/><br/>- At Home, 1 stream containing all the images of A and B categories and their subcategories (flux Home)<br/>- In each category (eg A), 1 stream containing all images in the category and sub-categories (eg A and AA and AB)<br/>';
+$lang['piclens_recursive_standard_detail'] = 'Főoldal<br/> \- Kategória A<br/> \   \- Alkategória AA<br/> \   \   \- képek_AAxx<br/> \   \ <br/> \   \- Alkategória AB<br/> \   \   \- képek_ABxx<br/> \<br/> \- Kategória B<br/>     \- Alkategória BA<br/>     \   \- képek_BAxx<br/>     \<br/>     \- Alkategória BB<br/>         \- képek_BBxx<br/><br/>- At Home, 1 stream containing all the images of A and B categories and their subcategories (flux Home)<br/>- In each category (eg A), 1 stream containing all images in the category and sub-categories (eg A and AA and AB)<br/>';
 $lang['piclens_recursive_specifique']	= 'Specifikus';
 $lang['piclens_recursive_specifique_title']= 'Specifikus eljárás ';
-$lang['piclens_recursive_specifique_detail']= 'Főoldal<br/>&nbsp;\- Kategória A<br/>&nbsp;\&nbsp;&nbsp;&nbsp;\- Alkategória AA<br/>&nbsp;\&nbsp;&nbsp;&nbsp;\&nbsp;&nbsp;&nbsp;\- képek_AAxx<br/>&nbsp;\&nbsp;&nbsp;&nbsp;\ <br/>&nbsp;\&nbsp;&nbsp;&nbsp;\- Alkategória AB<br/>&nbsp;\&nbsp;&nbsp;&nbsp;\&nbsp;&nbsp;&nbsp;\- képek_ABxx<br/>&nbsp;\<br/>&nbsp;\- Kategória B<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;\- Alkategória BA<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;\&nbsp;&nbsp;&nbsp;\- képek_BAxx<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;\<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;\- Alkategória BB<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;\- képek_BBxx<br/><br/>- At the Home, 1 stream for each category contains all the images of sub-categories (eg, flows A and B flows)<br/>- In each category (eg A), 1 stream for the category containing all images in the category (eg flow A) and 1 stream for each subcategories containing all the images in the sub-categories (eg flow AA and flow AB)';
+$lang['piclens_recursive_specifique_detail'] = 'Főoldal<br/> \- Kategória A<br/> \   \- Alkategória AA<br/> \   \   \- képek_AAxx<br/> \   \ <br/> \   \- Alkategória AB<br/> \   \   \- képek_ABxx<br/> \<br/> \- Kategória B<br/>     \- Alkategória BA<br/>     \   \- képek_BAxx<br/>     \<br/>     \- Alkategória BB<br/>         \- képek_BBxx<br/><br/>- At the Home, 1 stream for each category contains all the images of sub-categories (eg, flows A and B flows)<br/>- In each category (eg A), 1 stream for the category containing all images in the category (eg flow A) and 1 stream for each subcategories containing all the images in the sub-categories (eg flow AA and flow AB)';
 
 $lang['piclens_recurs_mode_rem']		= '<i>Bármi legyen a választott módszer a 3D falnál, a "Cooliris 3D Wall" (3. lap) esetén a <b>Standard módszer</b> érvényesül</i>';
@@ -131,5 +131,5 @@
 $lang['piclens_wallcfg_param']			= 'Cooliris 3D Wall paraméterek ';
 $lang['piclens_wallcfg_paramNORM']		= 'Standard (az összes galériára egységesen)';
-$lang['piclens_wallcfg_paramSPEC']		= 'Specifikus (konfiguráció az alábi galériákra)';
+$lang['piclens_wallcfg_paramSPEC'] = 'Specifikus (konfiguráció az alábbi galériákra)';
 $lang['piclens_wallcfg_cat_nav']		= 'Cooliris 3D wall megjelenítése a navigációs bélyegképek helyett az alábbi kategóriákban';
 $lang['piclens_wallcfg_cat_nav1']		= 'Kategóriák kijelölése melyek használják a 3D navigációt :';
@@ -147,5 +147,5 @@
 
 $lang['piclens_label_pwgstuff1']		= '<u>Megjegyzés :</u> <b>Az opció nem áll rendelkezésre, mert a PWG_Stuff telepítve van (lehetőségek a PWG_Stuff bővítménynél). Egyes beállítások itt változtathatók.</b>';
-$lang['piclens_label_pwgstuff2']		= '<u>Megjegyzés :</u> Telehíthető helyette a <a href=http://hu.piwigo.org/ext/extension_view.php?eid=190>PWG_Stuff</a> bővítmény, melyben hozzáadható a PicLens 3DWall modul (a PWG_Stuff további lehetőségeket is biztosít).';
+$lang['piclens_label_pwgstuff2'] = '<u>Megjegyzés :</u> Telepíthető helyette a <a href=http://hu.piwigo.org/ext/extension_view.php?eid=190>PWG_Stuff</a> bővítmény, melyben hozzáadható a PicLens 3DWall modul (a PWG_Stuff további lehetőségeket is biztosít).';
 
 $lang['piclens_stuff_notparam']			= '<b>A Cooliris PicLens bővítmény egyedi paraméterei, ha a PWG Stuff bővítmény nincs használatban</b>';
@@ -200,9 +200,5 @@
 $lang['cat_name_legend']			= 'Kategória név'; // %C2
 $lang['cat_description_legend']		= 'Kategória leírása'; // %C3
-$lang['cat_dir_legend']				= 'Ketegória útvonala (útvonal a Galériában)'; // %C4
-$lang['cat_dirFull_legend']			= 'Ketegória útvonala (teljes útvonal)'; // %C4
-// Fin legende
-
-$lang['piclens_tags_label']		= 'Címkék';
+$lang['cat_dir_legend'] = 'Kategória útvonala (útvonal a Galériában)';
 $lang['piclens_rsscfg_exclude_double']	= 'Kettős képek elhagyása a feed-be (megegyező útvonalon)';
 $lang['piclens_rss_icon']		= 'Cooliris feed ikon URL';
@@ -214,8 +210,8 @@
 
 /*TODO*/$lang['piclens_stuffs_description'] = 'Display piclens 3D wall';
-/*TODO*/$lang['piclens_stuffs_info_param'] = '3D Wall Settings must be modified in <b>Cooliris-piclens/b> plugin configuration page.';
-$lang['piclens_wallcfg_option-opt1'] = 'Mutasd a linkeket (embed) a Facebook és a Twittera megosztó oldalaira a 3D falon belül';
-$lang['piclens_wallcfg_option-opt4'] = 'Mutasd a "Megosztás" ("Sharing") linkeket';
-$lang['piclens_wallcfg_option-opt5'] = 'Mutasd a gombot, amelyik az eredeti tartalomhoz visz';
-$lang['piclens_wallcfg_option-opt6'] = 'Mutasd a "Bezárás" gombot képenként';
+$lang['piclens_stuffs_info_param'] = 'A 3D Wall beállításait módosítani kell a <b>Cooliris-piclens/b> bővítmény beállítás oldalon.';
+$lang['piclens_wallcfg_option-opt1'] = 'Mutassa a linkeket (embed) a Facebook és a Twitter megosztó oldalaira a 3D falon belül';
+$lang['piclens_wallcfg_option-opt4'] = 'Mutassa a "Megosztás" ("Sharing") linkeket';
+$lang['piclens_wallcfg_option-opt5'] = 'Mutassa a gombot, amelyik az eredeti tartalomhoz visz';
+$lang['piclens_wallcfg_option-opt6'] = 'Mutassa a "Bezárás" gombot képenként';
 ?>