Index: /trunk/language/ru_RU/admin.lang.php
===================================================================
--- /trunk/language/ru_RU/admin.lang.php	(revision 12129)
+++ /trunk/language/ru_RU/admin.lang.php	(revision 12130)
@@ -837,3 +837,5 @@
 $lang['You have specified <i>$conf[\'order_by\']</i> in your local configuration file, this parameter in deprecated, please remove it or rename it into <i>$conf[\'order_by_custom\']</i> !'] = 'Вы использовали <i>$conf[\'order_by\']</i> в качестве порядка сортировки в локальном файле конфигурации. Этот параметр не рекомендуется для использования. Пожалуйста, удалите его или переименуйте в <i>$conf[\'order_by_custom\']</i> !';
 $lang['Learn more'] = 'Узнать больше';
+$lang['Rate'] = 'Оценка';
+$lang['Average rate'] = 'Средний балл';
 ?>
Index: /trunk/language/ru_RU/common.lang.php
===================================================================
--- /trunk/language/ru_RU/common.lang.php	(revision 12129)
+++ /trunk/language/ru_RU/common.lang.php	(revision 12130)
@@ -36,5 +36,4 @@
 $lang_info['zero_plural'] = true;
 
-$lang['%.2f (rated %d times)'] = '%.2f (%d оценок)';
 $lang['%d Kb'] = '%d Kb';
 $lang['%d album updated'] = '%d альбом изменен';
@@ -58,5 +57,4 @@
 $lang['At least one tag must match'] = 'Хотя бы одно слово должно присутствовать';
 $lang['Author'] = 'Автор';
-$lang['Average rate'] = 'Средний балл';
 $lang['Albums'] = 'Альбомы';
 $lang['Album'] = 'Альбом';
@@ -103,5 +101,4 @@
 $lang['Quick connect'] = 'Быстрый вход';
 $lang['RSS feed'] = 'RSS ленты';
-$lang['Rate'] = 'Оценка';
 $lang['Register'] = 'Регистрирация';
 $lang['Registration'] = 'Регистрация';
@@ -358,3 +355,25 @@
 $lang['The number of photos per page must be a not null scalar'] = 'Число фотографий на странице должно быть ненулевым целым числом';
 $lang['Number of photos per page'] = 'Число фотографий на странице';
+$lang['%d rates'] = 'Оценок: %d';
+$lang['Rating score'] = 'Средний балл';
+$lang['Enter a username or email address'] = 'Введите имя пользователя или адрес электронной почты';
+$lang['Invalid username or email'] = 'Неверное имя пользователя или адрес электронной почты';
+$lang['Password reset is not allowed for this user'] = 'Для этого пользователя сброс пароля невозможен';
+$lang['User "%s" has no email address, password reset is not possible'] = 'У пользователя "%s" нет адреса электронной почты, сброс пароля невоможен';
+$lang['Someone requested that the password be reset for the following user account:'] = 'Поступил запрос на изменение пароля для следуюшей учетной записи:';
+$lang['Username "%s" on gallery %s'] = 'Пользователь "%s" в галерее %s';
+$lang['To reset your password, visit the following address:'] = 'Чтобы сбросить пароль пройдите по ссылке:';
+$lang['If this was a mistake, just ignore this email and nothing will happen.'] = 'Если Вы получили это сообщение по ошибке, просто не предпринимайте никаких действий и ничего не произойдет.';
+$lang['Password Reset'] = 'Сброс пароля';
+$lang['Check your email for the confirmation link'] = 'Проверьте Ваш адрес электронной почты, на который будет выслано сообщение с подтверждающей ссылкой';
+$lang['Invalid key'] = 'Неверный ключ';
+$lang['The passwords do not match'] = 'Пароли не совпадают';
+$lang['Your password has been reset'] = 'Ваш пароль был сброшен';
+$lang['Return to home page'] = 'Возврат на домашнюю страницу';
+$lang['Please enter your username or email address.'] = 'Пожалуйста, введите имя пользователя или адрес Вашей электронной почты.';
+$lang['You will receive a link to create a new password via email.'] = 'Вы получите ссылку для ввода нового пароля по электронной почте.';
+$lang['Username or email'] = 'Имя пользователя или адрес электронной почты';
+$lang['Change my password'] = 'Изменить пароль';
+$lang['Enter your new password below.'] = 'Введите новый пароль.';
+$lang['Reset Password'] = 'Сбросить пароль';
 ?>