Index: /trunk/language/sk_SK/common.lang.php
===================================================================
--- /trunk/language/sk_SK/common.lang.php	(revision 12132)
+++ /trunk/language/sk_SK/common.lang.php	(revision 12133)
@@ -361,4 +361,24 @@
 $lang['%d rates'] = '%d hodnotení';
 $lang['Rating score'] = 'Bodové hodnotenie';
+$lang['Enter a username or email address'] = 'Vložte používateľské meno alebo email';
+$lang['Invalid username or email'] = 'Nesprávne meno alebo email';
+$lang['Password reset is not allowed for this user'] = 'Obnova hesla nie je povolená pre tohto používateľa';
+$lang['User "%s" has no email address, password reset is not possible'] = 'Používateľ "%s" nemal zadaný email, obnova hesla nie je možná';
+$lang['Someone requested that the password be reset for the following user account:'] = 'Niekto požiadal o obnovu hesla pre nasledovný používateľský účet:';
+$lang['Username "%s" on gallery %s'] = 'Používateľské meno "%s" v galérii %s';
+$lang['To reset your password, visit the following address:'] = 'Pre obnovu hesla navštívte nasledovnú adresu:';
+$lang['If this was a mistake, just ignore this email and nothing will happen.'] = 'Ak to bola chyba, jednoducho ignorujte tento mail a všetko bude v poriadku.';
+$lang['Password Reset'] = 'Obnova hesla';
+$lang['Check your email for the confirmation link'] = 'Skontrolujte Váš email pre potvrdenie linku';
+$lang['Invalid key'] = 'Nesprávny kľúč';
+$lang['The passwords do not match'] = 'Heslo sa nezhoduje';
+$lang['Your password has been reset'] = 'Vaše heslo bolo obnovené';
+$lang['Return to home page'] = 'Návrat na Úvodnú stránku';
+$lang['Please enter your username or email address.'] = 'Prosím vložte Vaše používateľské meno alebo email.';
+$lang['You will receive a link to create a new password via email.'] = 'Obdržíte adresu na vytvorenie nového hesla cez email.';
+$lang['Username or email'] = 'Používateľské meno alebo email';
+$lang['Change my password'] = 'Zmeniť moje heslo';
+$lang['Enter your new password below.'] = 'Nižšie vložte Vaše nové heslo.';
+$lang['Reset Password'] = 'Obnova heslo';
 
 ?>
Index: /trunk/language/sk_SK/install.lang.php
===================================================================
--- /trunk/language/sk_SK/install.lang.php	(revision 12132)
+++ /trunk/language/sk_SK/install.lang.php	(revision 12133)
@@ -32,11 +32,8 @@
 $lang['Start Install'] = 'Spustiť inštaláciu';
 $lang['mail address must be like xxx@yyy.eee (example : jack@altern.org)'] = 'e-mailová adresa musí mať formát xxx@yyy.eee (napríklad : kovac@zoznam.sk)';
-
 $lang['Webmaster login'] = 'Používateľské meno správcu';
 $lang['It will be shown to the visitors. It is necessary for website administration'] = 'Bude zobrazený návštevníkom. Je nutný pre administráciu aplikácie.';
-
 $lang['Connection to server succeed, but it was impossible to connect to database'] = 'Spojenie na server sa podarilo, ale nebolo možné pripojiť databázu';
 $lang['Can\'t connect to server'] = 'Nebolo možné sa pripojiť k serveru';
-
 $lang['Host'] = 'MySQL server';
 $lang['localhost, sql.multimania.com, toto.freesurf.fr'] = 'localhost, sql.multimania.com, toto.freesurf.sk';
@@ -59,6 +56,4 @@
 $lang['Webmaster mail address'] = 'E-mail webmastra';
 $lang['Visitors will be able to contact site administrator with this mail'] = 'Návštevníci môžu pomocou tohto e-mailu kontaktovať správcu';
-
-// missing translations 2.1.0
 $lang['PHP 5 is required'] = 'Je nutné PHP 5';
 $lang['It appears your webhost is currently running PHP %s.'] = 'Na Vašom webhostingu je PHP %s.';
@@ -75,3 +70,5 @@
 $lang['Download the config file'] = 'Stiahnuť konfiguračný súbor';
 $lang['You can download the config file and upload it to local/config directory of your installation.'] = 'Môžete stiahnuť konfiguračný súbor a nahrať ho do adresára local/config Vašej inštalácie.';
+$lang['Just another Piwigo gallery'] = 'Len iná Piwigo galéria';
+$lang['Welcome to my photo gallery'] = 'Vitajte v mojej foto galérii'; 
 ?>