Index: /trunk/language/pl_PL/admin.lang.php
===================================================================
--- /trunk/language/pl_PL/admin.lang.php	(revision 12138)
+++ /trunk/language/pl_PL/admin.lang.php	(revision 12139)
@@ -811,3 +811,20 @@
 $lang['Average rate'] = 'Średnia ocena';
 $lang['Learn more'] = 'Dowiedz się więcej';
+$lang['Add a criteria'] = 'Dodaj kryteria';
+$lang['You can\'t define a default photo order because you have a custom setting in your local configuration.'] = 'Nie możesz zdefiniować domyślnej kolejności zdjęć, gdyż stworzono własne ustawienia w konfiguracji plików lokalnych .';
+$lang['You have specified <i>$conf[\'order_by\']</i> in your local configuration file, this parameter in deprecated, please remove it or rename it into <i>$conf[\'order_by_custom\']</i> !'] = 'Określiłeś <i>$conf[\'order_by\']</i> w lokalnym plików konfiguracji. Parametr ten jest przestarzały. Usuń go lub zmień jego nazwę na <i>$conf[\'order_by_custom\']</i> !';
+$lang['Piwigo Update'] = 'Aktualizacja Piwigo';
+$lang['Extensions Update'] = 'Aktualizacja rozszerzeń';
+$lang['All extensions are up to date.'] = 'Wszystkie rozszerzenia są aktualne.';
+$lang['Following plugins may not be compatible with the new version of Piwigo:'] = 'Poniższe rozszerzenia mogą być nieaktualne z nową wersją Piwigo:';
+$lang['Following themes may not be compatible with the new version of Piwigo:'] = 'Poniższe tematy mogą być nieaktualne z nową wersją Piwigo:';
+$lang['I decide to update anyway'] = 'Aktualizuj mimo wszystko';
+$lang['Update to Piwigo %s'] = 'Aktualizuj do Piwigo %s';
+$lang['Two updates are available'] = 'Dostępne są dwie aktualizacje';
+$lang['This is a minor update, with only bug corrections.'] = 'Jest to mała aktualizacja usuwająca tylko znalezione błędy.';
+$lang['This is a major update, with <a href="%s">new exciting features</a>.'] = 'Jest to duża aktualizacja z <a href="%s">nowymi funkcjami</a>.';
+$lang['Some themes and plugins may be not available yet.'] = 'Niektóre tematy i rozszerzenia mogą nie być jeszcze dostępne.';
+$lang['You can update to Piwigo %s directly, without upgrading to Piwigo %s (recommended).'] = 'Możesz aktualizować bezpośrednio do Piwigo %s, bez potrzeby wcześniejszej aktualizacji do wersji %s (zalecane).';
+$lang['Save Template Directory'] = 'Zapisz katalog tematów';
+
 ?>
Index: /trunk/language/pl_PL/common.lang.php
===================================================================
--- /trunk/language/pl_PL/common.lang.php	(revision 12138)
+++ /trunk/language/pl_PL/common.lang.php	(revision 12139)
@@ -374,4 +374,5 @@
 $lang['Username or email'] = 'nazwa użytkownika lub adres e-mail';
 $lang['Change my password'] = 'Zmień moje hasło';
-$lang['Enter your new password below.'] = 'Wpisz poniżej swoje nowe hasło.'; 
+$lang['Enter your new password below.'] = 'Wpisz poniżej swoje nowe hasło.';
+$lang['Reset Password'] = 'Resetuj hasło';
 ?>
Index: /trunk/language/pl_PL/install.lang.php
===================================================================
--- /trunk/language/pl_PL/install.lang.php	(revision 12138)
+++ /trunk/language/pl_PL/install.lang.php	(revision 12139)
@@ -29,11 +29,8 @@
 $lang['Start Install'] = 'Rozpoczęcie instalacji';
 $lang['mail address must be like xxx@yyy.eee (example : jack@altern.org)'] = 'adres email musi być w postaci xxx@yyy.eee (np : jack@altern.org)';
-
 $lang['Webmaster login'] = 'Logowanie Webmastera';
 $lang['It will be shown to the visitors. It is necessary for website administration'] = 'To będzie wyświetlone dla odwiedzających i jest konieczne do celów administracyjnych ';
-
 $lang['Connection to server succeed, but it was impossible to connect to database'] = 'Połączenie do serwera powiodło się, ale nie było możliwe połączenie do bazy danych';
 $lang['Can\'t connect to server'] = 'Nie można połączyć się do serwera';
-
 $lang['Host'] = 'MySQL host';
 $lang['localhost, sql.multimania.com, toto.freesurf.fr'] = 'localhost, sql.multimania.com, toto.freesurf.fr';
@@ -56,5 +53,4 @@
 $lang['Webmaster mail address'] = 'Adres email Webmaster\'a';
 $lang['Visitors will be able to contact site administrator with this mail'] = 'Z jego pomocą odwiedzający będą mogli się skontaktować z administratorem strony';
-
 $lang['PHP 5 is required'] = 'PHP 5 jest wymagane';
 $lang['It appears your webhost is currently running PHP %s.'] = 'Twój serwer aktualnie używa PHP w wersji %s.';
@@ -66,5 +62,4 @@
 $lang['You may referer to your hosting provider\'s support and see how you could switch to PHP 5 by yourself.'] = 'Możesz skontaktować się z działem wsparcia Twojego providera aby dowiedzieć się jak włączyć PHP 5.';
 $lang['Hope to see you back soon.'] = 'Do zobaczenia wkrótce.';
-//For 2.1.0
 $lang['Congratulations, Piwigo installation is completed'] = 'Gratulacje, instalacja Piwigo zakończona sukcesem';
 $lang['An alternate solution is to copy the text in the box above and paste it into the file "local/config/database.inc.php" (Warning : database.inc.php must only contain what is in the textarea, no line return or space character)'] = 'Alternatywnym rozwiązaniem jest skopiować tekst z powyższego textbox i wkleić do pliku "local/config/database.inc.php" (Uwaga : database.inc.php musi zawierać to co jest w textbox i nie może zawierać znaków spacji oraz enter)';
@@ -72,3 +67,6 @@
 $lang['Download the config file'] = 'Pobierz plik konfiguracyjny';
 $lang['You can download the config file and upload it to local/config directory of your installation.'] = 'Możesz pobrać plik konfiguracyjny i wgrać go do katalogu lokalnego/z konfiguracją.';
+$lang['Just another Piwigo gallery'] = 'Kolejna galeria Piwigo';
+$lang['Welcome to my photo gallery'] = 'Witaj w mojej galerii zdjęć'; 
+
 ?>