Index: /extensions/Autosize/language/pl_PL/plugin.lang.php
===================================================================
--- /extensions/Autosize/language/pl_PL/plugin.lang.php	(revision 12144)
+++ /extensions/Autosize/language/pl_PL/plugin.lang.php	(revision 12145)
@@ -2,37 +2,35 @@
 global $lang;
 
-$lang['cl_autosize_miniheight2'] = 'Najmniejsza wysokosc zdjecia';
-$lang['cl_autosize_miniwidth2'] = 'Najmniejsza szerokosc zdjecia';
-$lang['cl_autosize_hlp_line32'] = 'Najmniejsza wielkosc zdjecia' ;
+$lang['cl_autosize_miniheight2'] = 'Najmniejsza wysokość zdjęcia';
+$lang['cl_autosize_miniwidth2'] = 'Najmniejsza szerokość zdjęcia';
+$lang['cl_autosize_hlp_line32'] = 'Najmniejsza wielkość zdjęcia';
+$lang['cl_autosize_desc_view'] = 'Zarezerwuj miejsce na opis zdjęcia i informacje o licencji';
+$lang['cl_autosize_icon_view'] = 'Pokaż ikonę na pasku narzędziowym';
+$lang['cl_autosize_info_2'] = 'Brak zmiany wielkości wyświetlanego obrazu';
+$lang['cl_autosize_info'] = 'Automatycznie dopasowuje wielkość wyświetlanego obrazu do wielkości okna';
+$lang['cl_autosize_Howto'] = 'Ustawienia wyświetlania';
 
-$lang['cl_autosize_enabled'] = 'Aktywne';
-$lang['cl_autosize_desc_view'] = 'Zarezerwuj miejsce na opis zdjecia i informacje o licencji';
-$lang['cl_autosize_icon_view'] = 'Pokaz ikone na pasku narzedziowym';
-$lang['cl_autosize_info_2'] = 'Brak zmiany wielkosci wyswietlanego obrazu';
-$lang['cl_autosize_info'] = 'Automatycznie dopasowuje wielkosc wyswietlanego obrazu do wielkosci okna';
-$lang['cl_autosize_Howto'] = 'Ustawienia wyswietlania';
+$lang['cl_autosize_config_title_1'] = 'Ustawienia maksymalnych wartości';
 
-$lang['cl_autosize_config_title_1'] = 'Ustawienia maksymalnych wartosci';
+$lang['cl_autosize_hlp_line1'] = 'Największy rozmiar wyświetlanego zdjęcia w zależności od statusu użytkownika.<br>Wartości są zdefiniowane jako procent (%) lub liczba pikseli (px). ';
 
-$lang['cl_autosize_hlp_line1'] = 'Najwiekszy rozmiar wyswietlanego zdjecia w zaleznosci od statusu uzytkownika.<br>Wartosci sa zdefiniowane jako procent (%) lub liczba pikseli (px). ';
+$lang['cl_autosize_height'] = 'Wysokość';
+$lang['cl_autosize_width'] = 'Szerokość ';
 
-$lang['cl_autosize_height'] = 'Wysokosc';
-$lang['cl_autosize_width'] = 'Szerokosc ';
+$lang['cl_autosize_config_title_2'] = 'Wartości minimalne';
+$lang['cl_autosize_hlp_line2'] = 'Najmniejsza wielkość zdjęcia, powyżej której automatyczne dopasowanie obrazu do okna będzie działać';
+$lang['cl_autosize_miniheight'] = 'Najmniejsza wysokość wyświetlanego zdjęcia';
+$lang['cl_autosize_miniwidth'] = 'Najmniejsza szerokość wyświetlanego zdjęcia';
 
-$lang['cl_autosize_config_title_2'] = 'Wartosci minimalne';
-$lang['cl_autosize_hlp_line2'] = 'Najmniejsza wielkosc zdjecia, powyzej której automatyczne dopasowanie obrazu do okna bedzie dzialac';
-$lang['cl_autosize_miniheight'] = 'Najmniejsza wysokosc wyswietlanego zdjecia';
-$lang['cl_autosize_miniwidth'] = 'Najmniejsza szerokosc wyswietlanego zdjecia';
+$lang['cl_autosize_hlp_line3'] = 'Automatyczne dopasowanie wielkości zdjęcia do wielkości okna nie będzie działać, gdy wielkość wyświetlanego zdjęcia jest mniejsza od tej wartości';
 
-$lang['cl_autosize_hlp_line3'] = 'Automatyczne dopasowanie wielkosci zdjecia do wielkosci okna nie bedzie dzialac, gdy wielkosc wyswietlanego zdjecia jest mniejsza od tej wartosci';
-
-$lang['cl_autosize_echelle_max'] = 'Najwieksza skala';
-$lang['cl_autosize_hlp_line4'] = 'Wielkosc zdjecia bedzie dopasowana do tej wartosci, jesli skala powiekszenia (oryginalna wielkosc zdjecia/wielkosc zdjecia wyswietlanego) bedzie wieksza';
+$lang['cl_autosize_echelle_max'] = 'Największa skala';
+$lang['cl_autosize_hlp_line4'] = 'Wielkość zdjęcia będzie dopasowana do tej wartości, jeśli skala powiększenia (oryginalna wielkość zdjęcia/wielkość zdjęcia wyświetlanego) będzie większa';
 
 $lang['cl_autosize_marge_basse'] = 'Dolny margines';
-$lang['cl_autosize_hlp_line5'] = 'Miejsce ponizej obrazu, zarezerwowane dla legendy';
+$lang['cl_autosize_hlp_line5'] = 'Miejsce poniżej obrazu, zarezerwowane dla legendy';
 
 $lang['cl_autosize_save'] = 'Zapisz';
 
-$lang['cl_autosize_save_config'] = 'Zachowaj konfiguracje'; 
+$lang['cl_autosize_save_config'] = 'Zachowaj konfigurację';
 ?>